<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// 不正アクセスチェック
	require_once 'cms_access_check.php';
	require_once 'cms_csrf_check.php';
	// ログインチェック
	include 'check_login_message.php';
	//include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param0 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["cms_passwd_reset_uri"] = $uri_param0;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜パスワード変更</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
</head>

<body>

<div id="container_login">
<div id="cms_header">
Ｆｉｎｅ<span class="aka4">ＬＰ</span>（ファインエルピー）
</div><!-- end id="cms_header" -->
  
<div class="p_contentstitle">Contents Management System｜パスワード変更</div>
<br class="clear_both">
</div>
<div id="container">
<p><span class="aka1_bold">新しいパスワードを入力し[変更]をクリックしてください。<br>
※パスワードは６～３２文字以内で半角英数字と「.」「_」「-」がご使用できます。</span><br></p>
<br>
<form action="chgpwd_check.php" method="POST">
<div class="login_box" style="width:500px;">
<div class="login" style="width:230px;margin-right:8px;text-align:right;">新しいパスワード</div><div class="login_input"><input type="password" name="pwd1" class="input" size="33"></div>
<br class="clear_both">
<div class="login" style="width:230px;margin-right:8px;text-align:right;">（再入力）新しいパスワード</div><div class="login_input"><input type="password" name="pwd2" class="input" size="33"></div>
</div>
<br class="clear_both">
<br>
<br>
<input type="submit" name="proc" class="btn_kadomaru" value="　変更　">　　　　<input type="button" class="btn_kadomaru" value="　戻る　" onClick="location='../login.php'">
</form>
<br>
<?php
if ($_GET['err']) {
	echo "<div class=\"errmsg\">".$_SESSION['errmsg']."</div>";
}
?>
</div><!-- end .container -->

</body>
</html>
