<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	error_reporting(0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$sql = "SELECT * FROM design_set";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {		// データ有り。
		if ($_GET["header_form"]<>"" && $_GET["header_form"]<>NULL) {
			$file_name_old = $_SESSION['upload_name'];
			$file_name_new = str_replace("design_set_header_img_file_0", "design_set_header_img_file_".$row["id"], $_SESSION['upload_name']);
			$file_path_old = "data/uploads/".$file_name_old;
			$file_path_new = "data/uploads/".$file_name_new;
			rename($file_path_old, $file_path_new);
			$header_img_file	= $file_name_new;
			
			$sql_tmp = "update design_set set 
							header_form 				= :header_form,
							header_color				= :header_color,
							header_img_file				= :header_img_file,
							header_img_dsp_form			= :header_img_dsp_form,
							footer_form					= :footer_form,
							footer_color				= :footer_color,
							update_time 				= :update_time
							where id					= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $row["id"]);
			$stmt->bindParam(":header_form", $_GET["header_form"]);
			$stmt->bindParam(":header_color", $_GET["header_color"]);
			$stmt->bindParam(":header_img_file", $header_img_file);
			$stmt->bindParam(":header_img_dsp_form", $_GET["header_img_dsp_form"]);
			$stmt->bindParam(":footer_form", $_GET["footer_form"]);
			$stmt->bindParam(":footer_color", $_GET["footer_color"]);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else
		if ($_GET["menu_btn_color"]<>"" && $_GET["menu_btn_color"]<>NULL) {
			$sql_tmp = "update design_set set 
							menu_btn_design				= :menu_btn_design,
							menu_btn_color				= :menu_btn_color,
							update_time 				= :update_time
							where id					= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $row["id"]);
			$stmt->bindParam(":menu_btn_design", $_GET["menu_btn_design"]);
			$stmt->bindParam(":menu_btn_color", $_GET["menu_btn_color"]);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else
		if ($_GET["side_btn_form"]<>"" && $_GET["side_btn_form"]<>NULL) {
			$sql_tmp = "update design_set set 
							side_btn_design				= :side_btn_design,
							side_btn_form				= :side_btn_form,
							side_btn_color				= :side_btn_color,
							update_time 				= :update_time
							where id					= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $row["id"]);
			$stmt->bindParam(":side_btn_design", $_GET["side_btn_design"]);
			$stmt->bindParam(":side_btn_form", $_GET["side_btn_form"]);
			$stmt->bindParam(":side_btn_color", $_GET["side_btn_color"]);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else
		if ($_GET["side_btn_color"] == 999) {
			$sql_tmp = "update design_set set 
							side_btn_color				= :side_btn_color,
							side_btn_img_file_on		= :side_btn_img_file_on,
							side_btn_img_file_off		= :side_btn_img_file_off,
							side_btn_img_file_plus_on	= :side_btn_img_file_plus_on,
							side_btn_img_file_plus_off	= :side_btn_img_file_plus_off,
							side_btn_img_file_minus		= :side_btn_img_file_minus,
							side_under_btn_img_file_on	= :side_under_btn_img_file_on,
							side_under_btn_img_file_off	= :side_under_btn_img_file_off,
							update_time 				= :update_time
							where id					= :id";
			$side_btn_color					= $_GET["side_btn_color"];			
			$side_btn_img_file_on			= $_SESSION['upload_name1'];
			$side_btn_img_file_off			= $_SESSION['upload_name2'];
			$side_btn_img_file_plus_on		= $_SESSION['upload_name3'];
			$side_btn_img_file_plus_off		= $_SESSION['upload_name4'];
			$side_btn_img_file_minus		= $_SESSION['upload_name5'];
			$side_under_btn_img_file_on		= NULL;
			$side_under_btn_img_file_off	= NULL; 
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $row["id"]);
			$stmt->bindParam(":side_btn_color", $side_btn_color);
			$stmt->bindParam(":side_btn_img_file_on", $side_btn_img_file_on);
			$stmt->bindParam(":side_btn_img_file_off", $side_btn_img_file_off);
			$stmt->bindParam(":side_btn_img_file_plus_on", $side_btn_img_file_plus_on);
			$stmt->bindParam(":side_btn_img_file_plus_off", $side_btn_img_file_plus_off);
			$stmt->bindParam(":side_btn_img_file_minus", $side_btn_img_file_minus);
			$stmt->bindParam(":side_under_btn_img_file_on", $side_under_btn_img_file_on);
			$stmt->bindParam(":side_under_btn_img_file_off", $side_under_btn_img_file_off);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else
		if ($_GET["footer_form"]<>"" && $_GET["footer_form"]<>NULL) {
			$sql_tmp = "update design_set set 
							footer_form					= :footer_form,
							footer_color				= :footer_color,
							update_time 				= :update_time
							where id					= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $row["id"]);
			$stmt->bindParam(":footer_form", $_GET["footer_form"]);
			$stmt->bindParam(":footer_color", $_GET["footer_color"]);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else
		if ($_GET["side_background_color"]<>"" && $_GET["side_background_color"]<>NULL) {
			$sql_tmp = "update design_set set 
							side_background_color		= :side_background_color,
							update_time 				= :update_time
							where id					= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $row["id"]);
			$stmt->bindParam(":side_background_color", $_GET["side_background_color"]);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
	}else{
		$header_form						= $_GET["header_form"];
		$header_color						= $_GET["header_color"];
		$header_color_no					= NULL;
		$header_img_file 					= $_SESSION['upload_name'];
		$header_img_dsp_form				= $_GET["header_img_dsp_form"];
		$menu_btn_color 					= $_GET["menu_btn_color"];
		$menu_btn_design					= $_GET["menu_btn_design"];
		$menu_btn_img_file_on				= NULL;
		$menu_btn_img_file_off				= NULL;
		$menu_btn_line_color_no				= NULL;
		$menu_btn_font_color_no_on	 		= NULL;
		$menu_btn_font_color_no_off	 		= NULL;
		$menu_btn_under_font_color_no_on	= NULL;
		$menu_btn_under_font_color_no_off	= NULL; 
		$menu_btn_font_bold					= 0;
		$menu_btn_font_size					= 0;
		$menu_btn_font_family				= 0;
		$side_btn_form						= NULL;
		$side_btn_color						= $_GET["side_btn_color"];
		$side_btn_design					= NULL;
		if ($_GET["side_btn_color"] == 999) {
			$side_btn_img_file_on			= $_SESSION['upload_name1'];
			$side_btn_img_file_off			= $_SESSION['upload_name2'];
			$side_btn_img_file_plus_on		= $_SESSION['upload_name3'];
			$side_btn_img_file_plus_off		= $_SESSION['upload_name4'];
			$side_btn_img_file_minus		= $_SESSION['upload_name5'];
		}else{
			$side_btn_img_file_on			= NULL;
			$side_btn_img_file_off			= NULL;
			$side_btn_img_file_plus_on		= NULL;
			$side_btn_img_file_plus_off		= NULL;
			$side_btn_img_file_minus		= NULL;
		}
		$side_under_btn_img_file_on			= NULL;
		$side_under_btn_img_file_off		= NULL;
		$side_btn_font_color_no_on			= NULL;
		$side_btn_font_color_no_off			= NULL;
		$side_under_btn_font_color_no_on	= NULL;
		$side_under_btn_font_color_no_off 	= NULL;
		$side_btn_font_bold					= 0;
		$side_btn_font_size					= 0;
		$side_btn_font_family				= 0;
		$side_background_color				= $_GET["side_background_color"];
		$side_background_color_no			= NULL;
		$footer_form						= $_GET["footer_form"];
		$footer_color						= $_GET["footer_color"];
		$footer_color_no					= NULL;
		$footer_font_color_no				= NULL;
		$index_news_color					= NULL;
		$index_blog_color					= NULL;
		$id = insert_design_set($conn, $header_form, $header_color, $header_color_no, $header_img_file, $header_img_dsp_form, $menu_btn_color, $menu_btn_design, $menu_btn_img_file_on, $menu_btn_img_file_off, $menu_btn_line_color_no, $menu_btn_font_color_no_on, $menu_btn_font_color_no_off, $menu_btn_under_font_color_no_on, $menu_btn_under_font_color_no_off, $menu_btn_font_bold, $menu_btn_font_size, $menu_btn_font_family, $side_btn_form, $side_btn_color, $side_btn_design, $side_btn_img_file_on, $side_btn_img_file_off, $side_btn_img_file_plus_on, $side_btn_img_file_plus_off, $side_btn_img_file_minus, $side_under_btn_img_file_on, $side_under_btn_img_file_off, $side_btn_font_color_no_on, $side_btn_font_color_no_off, $side_under_btn_font_color_no_on, $side_under_btn_font_color_no_off, $side_btn_font_bold, $side_btn_font_size, $side_btn_font_family, $side_background_color, $side_background_color_no, $footer_form, $footer_color, $footer_color_no, $footer_font_color_no, $index_news_color, $index_blog_color);		
	}

print "<script type=\"text/javascript\">window.opener.location.reload();</script>";					// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";							// 親ページを前面に表示する。

print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。
?>
