<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$menu_kbn				= $_SESSION["menu_kbn"];
	$btn_id					= $_SESSION["btn_id"];
	$page_id				= $_SESSION["page_id"];
	$laypage_id = $page_id;

	$menu_kbn 	= $_GET["menu_kbn"];
	$btn_id		= $_GET["btn_id"];
	$page_id	= $_GET["page_id"];		// 0のときは対応ページ無し
	$root		= $_GET["root"];
	$iconimg 								= $_POST['iconimg'];
	$year_input 							= $_POST['year_input'];
	$month_input 							= $_POST['month_input'];
	$day_input						 		= $_POST['day_input'];
	$ji_input 								= $_POST['ji_input'];
	$hun_input 								= $_POST['hun_input'];
	$news_title_input 						= htmlspecialchars($_POST['news_title_input'], ENT_QUOTES);
	$title_font_color1_input 				= htmlspecialchars($_POST['title_font_color1_input'], ENT_QUOTES);
	$title_font_color2_input 				= htmlspecialchars($_POST['title_font_color2_input'], ENT_QUOTES);
	$title_font_bold1_input 				= $_POST['title_font_bold1_input'];
	if ($title_font_bold1_input == 1) {
		$bold1 = "bold";
	}else{
		$bold1 = "normal";
	}
	$title_font_bold2_input 				= $_POST['title_font_bold2_input'];
	if ($title_font_bold2_input == 1) {
		$bold2 = "bold";
	}else{
		$bold2 = "normal";
	}
	$news_contents_input 					= str_replace('\\','',$_POST['news_contents_input']);
	$category_id_input						= $_POST['category_id_input'];
	$tweet_button_input						= $_POST['tweet_button_input'];
	$like_button_input						= $_POST['like_button_input'];
	$share_button_input						= $_POST['share_button_input'];
	$google_button_input					= $_POST['google_button_input'];
	$facebook_comment_input					= $_POST['facebook_comment_input'];
	$comment_input							= $_POST['comment_input'];
	//セッション情報に保存
	$_SESSION['menu_kbn'] 					= $menu_kbn;
	$_SESSION['btn_id'] 					= $btn_id;
	$_SESSION['page_id'] 					= $page_id;
	$_SESSION['iconimg'] 					= $iconimg;
	$_SESSION['year_input'] 				= $year_input;
	$_SESSION['month_input']	 			= $month_input;
	$_SESSION['day_input'] 					= $day_input;
	$_SESSION['ji_input'] 					= $ji_input;
	$_SESSION['hun_input'] 					= $hun_input;
	$_SESSION['news_title_input'] 			= $news_title_input;
	$_SESSION['title_font_color1_input']	= $title_font_color1_input;
	$_SESSION['title_font_color2_input']	= $title_font_color2_input;
	$_SESSION['title_font_bold1_input']		= $title_font_bold1_input;
	$_SESSION['title_font_bold2_input'] 	= $title_font_bold2_input;
	$_SESSION['news_contents_input']	= $news_contents_input;
	$_SESSION['category_id_input']		= $category_id_input;
	$_SESSION['tweet_button_input']		= $tweet_button_input;
	$_SESSION['like_button_input']		= $like_button_input;
	$_SESSION['share_button_input']		= $share_button_input;
	$_SESSION['google_button_input']	= $google_button_input;
	$_SESSION['facebook_comment_input']	= $facebook_comment_input;
	$_SESSION['comment_input']			= $comment_input;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜トップページの編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<?php
// コンテンツページレイアウトテーブルを読む
$sql = "SELECT * FROM contents_layout where (menu_kbn = ".$menu_kbn." and btn_id = ".$btn_id.")";
//echo "sql3=".$sql;
$stmt = $conn->prepare($sql);
$stmt->execute();
$rowlay = $stmt->fetch(PDO::FETCH_ASSOC);
?>
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<?php 
include("cms_parts_contesnts_page_css_link.php");
include("cms_parts_page_head_common1.php");
?>
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="js/cms_proc.js"></script>
<script type="text/javascript" src="js/twitter_code.js" charset="UTF-8"></script>
</head>
<body>
<?php include("facebook_code_basic.php");?>
<div id="container_kakunin">
<!-- ヘッダー start -->
<?php 
include("./cms_parts_header_kakunin.php");
echo "</div>";// <!-- end id="container_kakunin" -->
echo '<div id="container" style="background-color:green;">';
header_dsp($conn, 1, 2, 2);
?>
<div id="mainarea_contents"><!-- メインコンテンツ start -->
<div class="p_contents_page_subarea">
<?php

// 対象ページに紐つくボタン名を取得する。
// メニューボタンテーブル
$sql = "SELECT * FROM menubutton where id = ".$btn_id;
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($rowb = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$btn_name = $rowb["button_kanjiname"];
}else{
	$btn_name = NULL;
}
$mode = 1;		// cms
$edit = 2;		// 確認画面
echo "<div id=\"p_contents_mainarea\">";//<!-- メインコンテンツ start -->
include("./cms_contents_newskakunin_c.php");
echo "</div>";//<!-- メインコンテンツ end -->
?> 
</div><!-- end class="p_contents_subarea" -->
<br class="clear_both">
</div><!-- end id="mainarea" -->
</div> <!-- end id="container2" -->
<script type="text/javascript" src="js/twitter_code.js" charset="UTF-8"></script>
text/javascript">window.focus();</script>
<script type="text/javascript">resizeTo(1600,2000);</script>
</body>
</html>
