<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';

	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	if (!$_GET["modoru"]) {
		$_SESSION['proc'] 			= $_GET['proc'];
		$_SESSION['title_img_no'] 	= $_GET['title_img_no'];
	}
	$uri_param0 	= $_SERVER['REQUEST_URI'];
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$menu_kbn 	= $_GET["menu_kbn"];
	$btn_id		= $_GET["btn_id"];
	$root		= $_GET["root"];
	$page_id	= $_GET["page_id"];
	$_SESSION["news_data_title_color_input"] = $uri_param[0]."?proc=".$_GET["proc"];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜記事タイトル背景色の入力</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_news_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script>
$(function () {
	$("#wColorPicker1").css("display","none");
	var color_no = jQuery("#color_no1_input").val();
	jQuery("#color_no1_input").css("background-color",color_no);
	$("#color_no1_input").on("click touchend", function(){
		$("#wColorPicker1").slideDown("fast");
	});
	$(document).on("click touchend", function(event) {
	  if (!$(event.target).closest("#color_no1_input").length) {
		var bk_color = jQuery("#color_no1_input").val();
		$("#wColorPicker1").slideUp("fast");
	  }
	});				
	$("#wColorPicker1").wColorPicker({
		color: '#006699',
		onSelect: function(color){
			$("#color_no1_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#color_no1_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#color_no1_input").css('background', color).val(color);
		}
	});
	
	
	$("#wColorPicker2").css("display","none");
	var color_no = jQuery("#color_no2_input").val();
	jQuery("#color_no2_input").css("background-color",color_no);
	$("#color_no2_input").on("click touchend", function(){
		$("#wColorPicker2").slideDown("fast");
	});
	$(document).on("click touchend", function(event) {
	  if (!$(event.target).closest("#color_no2_input").length) {
		var bk_color = jQuery("#color_no2_input").val();
		$("#wColorPicker2").slideUp("fast");
	  }
	});				
	$("#wColorPicker2").wColorPicker({
		color: '#006699',
		onSelect: function(color){
			$("#color_no2_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#color_no2_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#color_no2_input").css('background', color).val(color);
		}
	});
});
</script>
</head>
<body>
<div id="container_wide">
<div id="p_mainarea_small"><!-- メインコンテンツ start -->
<div class="p_contents_subarea_small">
		<div class="p_login_box">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        </div>
<?php 
if ($_GET['proc'] == "add") {
  echo "<div class=\"p_cms_contents_title960\">カラーコードの入力</div>";
  echo '<br class="clear_both">';
  echo "<p class=\"p_edit_guide\">　カラーコードを入力後「確認」をクリックしてください。</p>";
}else {
  echo "<div class=\"p_cms_contents_title960\">カラーコードの修正</div>";
  echo '<br class="clear_both">';
  echo "<p class=\"p_edit_guide\">　カラーコードを修正後「確認」をクリックしてください。</p>";
}
if ($_GET["modoru"]) {
	$color_no1_dsp = $_SESSION["title_back_color1_input"];
	$color_no2_dsp = $_SESSION["title_back_color2_input"];
}else
if ($_GET['proc'] == "upd") {
		$sql = "SELECT * FROM contents_news_data where (id = ".$_SESSION["sel_id"].")";
		//echo "<br>sql=".$sql;		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		$rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
		$color_no1_dsp = $rowpg["title_back_color1"];
		$color_no2_dsp = $rowpg["title_back_color2"];
}else{
		$color_no1_dsp = "#D6CDC5";
		$color_no2_dsp = "#EEEDE3";
}
?>
<form action="./cms_contents_newskakunin_color_no_kakunin.php?proc=<?php echo $_GET['proc']; ?>" method="POST">
　　<div class="p_news_edit_line">年月日時分秒背景色<div id="wColorPicker1" class="hoverBox" style="position:absolute;top:24px;z-index:5000;"></div><input type="text" name="color_no1_input" id="color_no1_input" value="<?php echo $color_no1_dsp; ?>" class="color" size="8" autocomplete="off">　</div><div class="p_news_edit_line">タイトル背景色 <div id="wColorPicker2" class="hoverBox" style="position:absolute;top:24px;z-index:5000;"></div><input type="text" name="color_no2_input" id="color_no2_input" value="<?php echo $color_no2_dsp; ?>" class="color" size="8" autocomplete="off"></div>
<br class="clear_both">
<span class="edit_memo">　カラーコード（#FF0000等）　※カラーピッカーをクリックするか直接カラーコードを入力してください。</span>
<br class="clear_both">

<div class="btn" style="margin-top:180px;"><input type="submit" value="確認" name="proc"></div>
<div class="btn" style="margin-top:180px;"><input type="button" value="戻る" onClick="location='<?php echo $_SESSION["req_uri_cms_contents_news_edit"];?>&modoru=1'"></div>
<br class="clear_both">
</form>
</div>
</div><!-- end class="p_contents_subarea" -->
</div><!-- end id="mainarea" -->
</div><!-- end id="small_container" -->
<script type="text/javascript">window.focus();</script>
<script type="text/javascript">resizeTo(1200,700);</script>
</body>
</html>
