<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["upper_text_edit_uri"] = $uri_param[0]."?hashname=header_design";

	$menu_kbn	= $_SESSION["menu_kbn"];	
	$btn_id		= $_SESSION["btn_id"];
	$page_id	= $_SESSION["page_id"];
	$_SESSION["upper_text_edit"] = true;;
	$_SESSION["HTTP_USER_AGENT"] 				= $_SERVER['HTTP_USER_AGENT'];
	$_SESSION["img_using_table_name_col_id"]	= "contents_header_tbl_upper_text_0";								// サーバー画像削除可能とするため
	$_SESSION['upload_name']					= NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ヘッダー文の編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common_contents_wysiwyg.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script src="js/cms_color_for_wColorPicker.js"></script>
<script type="text/javascript" src="js/lightbox.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="mainarea_contents_cms">
<div class="p_proc_title_manager">ヘッダー上部テキストの編集</div>
<p class="edit_memo_left">　ヘッダー上部テキストを編集し[保存]か[ヘッダー上部テキスト位置調整]をクリックしてください。</p>
<br class="clear_both">
<form action="cms_header_upper_text_adjust.php" method="POST">
<?php
if ($_GET["modoru"]) {
	$upper_text = $_SESSION["upper_text"];
}else{
	$sql = 'SELECT * FROM contents_header_tbl WHERE (menu_kbn = '.$menu_kbn.' and btn_id ='.$btn_id.')';
	//echo '$sql='.$sql;	// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$upper_text = $row["upper_text"];
	}else{
		$upper_text = NULL;
	}
}
echo "<div class=\"p_header_title2\">　ヘッダー上部テキスト　（<a href=\"javascript:helppopup();\"><img src=\"images/help.gif\" width=\"20\" height=\"20\" alt=\"ヘルプ\" class=\"help_icon\"></a>をクリックすると各ボタンの説明ページが表示されます。）</div>";
if ($_GET["editerr"]) {
	echo '<div class="errmsg">'.$_SESSION["editerrmsg"].'</div>';
	echo '<br class="clear_both">';
}
$settings["fontsize"]				= 1;	// 【文字サイズ】ボタンを表示する。（1：表示、0：非表示）
$settings["fontname"]				= 1;	// 【フォント種類】ボタンを表示する。（1：表示、0：非表示）
$settings["bold"]					= 1;	// 【太字】ボタンを表示する。（1：表示、0：非表示）
$settings["underline"]				= 1;	// 【下線】ボタンを表示する。（1：表示、0：非表示）
$settings["strikethrough"]			= 1;	// 【消し線】ボタンを表示する。（1：表示、0：非表示）
$settings["forecolor"]				= 1;	// 【文字色】ボタンを表示する。（1：表示、0：非表示）
$settings["backcolor"]				= 1;	// 【文字背景色】ボタンを表示する。（1：表示、0：非表示）
$settings["justifycenter"]			= 1;	// 【中央揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyleft"]			= 1;	// 【左寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyright"]			= 1;	// 【右寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyfull"]			= 1;	// 【両端揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["indent"]					= 1;	// 【字下げ】ボタンを表示する。（1：表示、0：非表示）
$settings["outdent"]				= 1;	// 【字上げ】ボタンを表示する。（1：表示、0：非表示）
$settings["chk_icon"]				= 1;	// 【チェックアイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["icon"]					= 1;	// 【絵文字・アイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["picture"]				= 1;	// 【パソコン内の画像挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["hyperlink"]				= 1;	// 【リンクＵＲＬ挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["banner"]					= 1;	// 【バナー/アフィリエイトリンク/２ティアリンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["kessai"]					= 1;	// 【インフォトップ決済リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["imglink"]				= 1;	// 【画像リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["pdflink"]				= 0;	// 【ＰＤＦ＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["ziplink"]				= 0;	// 【zip＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["youtube"]				= 1;	// 【YouTube動画挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["table"]					= 1;	// 【表挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["mailform"]				= 1;	// 【問合せフォーム】ボタンを表示する。（1：表示、0：非表示）
$settings["shop"]					= 0;	// 【ネットショップ商品挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["sns"]					= 0;	// 【ＳＮＳボタン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["gmap"]					= 0;	// 【地図(GoogleMap)挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["area_color"]				= 1;	// 【全体背景色設定】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_all"]				= 1;	// 【編集エリア全クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_select_format"]	= 1;	// 【選択文字の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_format"]			= 1;	// 【全文字列の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["help"]					= 1;	// 【ヘルプ】ボタンを表示する。（1：表示、0：非表示）
$contents			= $upper_text;
$textarea_name 		= "upper_text_input";		//  POST先で$_POST["header_logo_input"]で受け取る
$submit_id1 		= "confirm1";			//  submitボタン（確認ボタン）のidセレクター（存在しない場合はダミーのNULLを指定する）
$submit_id2 		= "confirm2";			//  submitボタンが２つある場合（保存ボタン）、２つ目のidセレクター（存在しない場合はダミーのNULLを指定する）
$area_width 		= 960;					// 編集エリアの横幅（px値）
$min_height			= 340;					// 編集エリアの縦幅の最小値（px値）
$default_font_size	= 18;					// 編集エリアの中身の文字の初期サイズ（px値）
editor($settings, $contents, $textarea_name, $submit_id1, $submit_id2, $area_width, $min_height, $default_font_size);
// コンテンツデザインテーブルを読んでバックグラウンドカラーを取得する。
if (!($menu_kbn == NULL || $btn_id == NULL)) {
	$sql = 'SELECT * FROM contents_design_set2 WHERE (menu_kbn = '.$menu_kbn.' and btn_id ='.$btn_id.')';
	//echo "<br>sql=".$sql;		// debug
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if (!$rowdesign = $stmt->fetch(PDO::FETCH_ASSOC)) {		// データ無しの場合は、全体デザインテーブルを読んでヘッダーデザイン用CSSをlinkする。
		$sql = "SELECT * FROM design_set";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		$rowdesign = $stmt->fetch(PDO::FETCH_ASSOC);
	}
}else{
		$sql = "SELECT * FROM design_set";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		$rowdesign = $stmt->fetch(PDO::FETCH_ASSOC);
}
if ($rowdesign["header_color"] == 15){													// ヘッダーワイド、ピンク
	$color_no = "#FF9D9F";
}else
if ($rowdesign["header_color"] == 16){													// ヘッダーワイド、ライトピンク
	$color_no = "#FFDFE0";
}else
if ($rowdesign["header_color"] == 18){													// ヘッダーワイド、ライトブルー
	$color_no = "#80FFFF";
}else
if ($rowdesign["header_color"] == 998){													// 色番号指定
	$color_no = $rowdesign["header_color_no"];
}else{
	$color_no = "#cccccc";
}
?>
<br>
<div class="p_button_kakunin4"><input type="submit" id="confirm1" value="保存" name="proc"></div>
<div class="p_button_kakunin4"><input type="submit" id="confirm2" value="ヘッダー上部テキスト位置調整"  name="proc"></div>
<div class="p_button_modoru2"><input type="button" value="戻る" title="トップページに戻る" onClick="return_reload_focus2();"></div>
</form>
</div>
<script type="text/javascript">window.focus();</script>
<script type="text/javascript">resizeTo(1400,1040);</script>
</body>
</html>
