<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
session_start();
include 'function_pdo.php';
include 'function_cms.php';
include 'src/function_cms2.php';
// DBへの接続（存在しない場合はDB、TABLEを作成）
$conn = init_sqlite();
$conn2 = init_sqlite2();

$menu_kbn	= $_SESSION["menu_kbn"];	
$btn_id		= $_SESSION["btn_id"];
$page_id	= $_SESSION["page_id"];

$upper_text		= $_SESSION["upper_text_input"];
$sql = 'SELECT * FROM contents_header_tbl WHERE (menu_kbn = '.$menu_kbn.' and btn_id ='.$btn_id.')';
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	// 画像ファイル名を変更する。"contents_header_tbl_header_text_0"
	$old_file_name_subsrt = "contents_header_tbl_upper_text_0_";
	$new_file_name_subsrt = "contents_header_tbl_upper_text_". $row["id"]."_";
	// DB上の画像ファイル名を変更
	$upper_text = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $upper_text);
	
	$id 			= $row["id"];
	$sql_tmp = "update contents_header_tbl set 
					upper_text		= :upper_text,
					update_time 	= :update_time
					where id		= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":upper_text", $upper_text);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	//**********************************************************
	// 記事中に存在しない画像ファイルをサーバーから削除する。
	//**********************************************************
	$db_proc				= "upd";
	$contents 				= $upper_text;
	$img_using_table_name	= "contents_header_tbl_upper_text";
	$img_using_table_id		= $row["id"];
	upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
}else{
	$logoimg_url 				= NULL;
	$logoname					= NULL;
	$logo_padding_top 			= 0;
	$logo_padding_left			= 0;
	$upper_text					= $upper_text;
	$upper_text_padding_top		= 0;
	$upper_text_padding_left	= 0;
	$upper_text_width			= 0;
	$upper_text_height			= 0;
	$header_text				= NULL;
	$text_padding_top			= 0;
	$text_padding_left			= 0;
	
	$id = insert_contents_header_tbl($conn, $menu_kbn, $btn_id, $page_id, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $upper_text, $upper_text_padding_top, $upper_text_padding_left, $upper_text_width, $upper_text_height, $header_text, $text_padding_top, $text_padding_left);

	// DB上の画像ファイル名を変更する。"contents_access_map_data_0"
	$sql = "SELECT * FROM contents_header_tbl where (id = ". $id.")";
	//echo "<br>sqldbsave=".$sql;
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$old_file_name_subsrt = "contents_header_tbl_upper_text_0_";
		$new_file_name_subsrt = "contents_header_tbl_upper_text_". $row["id"]."_";
		// DB上の画像ファイル名を変更
		$upper_text = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $upper_text);
		$sql_tmp = "update contents_header_tbl set 
						upper_text		= :upper_text,
						update_time 	= :update_time
						where id		= :id";
		$stmt = $conn->prepare($sql_tmp);
		$stmt->bindParam(":id", $id);
		$stmt->bindParam(":upper_text", $upper_text);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		//**********************************************************
		// 記事中に存在しない画像ファイルをサーバーから削除する。
		//**********************************************************
		$db_proc				= "add";
		$contents 				= $upper_text;
		$img_using_table_name	= "contents_header_tbl_upper_text";
		$img_using_table_id		= $row["id"];
		upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
	}

}
print "<script type=\"text/javascript\">window.opener.location.reload();</script>";					// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";							// 親ページを前面に表示する。

print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。
?>
