<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	if (!$_GET["modoru"]) {
		$_SESSION['proc'] 				= $_GET['proc'];
		$_SESSION['section_title_proc'] = $_GET['proc'];
		$_SESSION['title_img_no'] 		= $_GET['title_img_no'];
	}
	$uri_param0 	= $_SERVER['REQUEST_URI'];
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param1 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["section_title_color_input"] = $uri_param0;
	$root		= $_GET["root"];
	$page_id	= $_GET["page_id"];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ページタイトル背景カラーコードの入力</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script type="text/javascript" src="js/cms_proc.js"></script>
<script>
$(function () {
	$("#wColorPicker1").css("display","none");
	var color_no = jQuery("#color_no_input").val();
	jQuery("#color_no_input").css("background-color",color_no);
	$("#color_no_input").on("click touchend", function(){
		$("#wColorPicker1").slideDown("fast");
	});
	$(document).on("click touchend", function(event) {
	  if (!$(event.target).closest("#color_no_input").length) {
		var bk_color = jQuery("#color_no_input").val();
		$("#wColorPicker1").slideUp("fast");
	  }
	});				
	$("#wColorPicker1").wColorPicker({
		color: '#66FFFF',
		onSelect: function(color){
			$("#color_no_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#color_no_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#color_no_input").css('background', color).val(color);
		}
	});
});
</script>
</head>

<body>

<div id="container_wide">
<div id="mainarea2"><!-- メインコンテンツ start -->
<div class="p_contents_subarea_cms">
<br>
		<div class="p_login_box">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        </div>
<?php 
if ($_GET['proc'] == "add") {
  echo "<div class=\"p_proc_title_cms\">カラーコードの入力</div>";
  echo "<br class=\"clear_both\">";
  echo "<p class=\"p_edit_guide\">　カラーコードを入力後「確認」をクリックしてください。</p>";
}else {
  echo "<div class=\"p_proc_title_cms\">カラーコードの修正</div>";
  echo "<br class=\"clear_both\">";
  echo "<p class=\"p_edit_guide\">　カラーコードを修正後「確認」をクリックしてください。</p>";
}
if ($_GET["modoru"]) {
	$color_no_dsp = $_SESSION["color_no_input"];
}else{
	$sql = "SELECT * FROM section where (id = ".$_SESSION["section_id"].")";
	//echo "<br>sql=".$sql;		// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($rowpg = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$color_no_dsp = $rowpg["title_color"];
	}else{
		$color_no_dsp = "#FF3333";
	}
}
?>
<form action="./cms_index_contents_mng_section_title_edit_color_no_kakunin.php?section_title_proc=<?php echo $_SESSION['section_title_proc']; ?>" method="POST">
<div class="p_edit_guide">タイトル背景色 </div><div style="position:relative;float:left;"><div id="wColorPicker1" class="hoverBox" style="position:absolute;top:24px;"></div><input type="text" name="color_no_input" id="color_no_input" value="<?php echo $color_no_dsp; ?>" class="color" size="8" autocomplete="off">　※カラーピッカーをクリックするか直接カラーコードを入力してください。</div>
<br class="clear_both">
<div class="btn" style="margin-top:180px;"><input type="submit" value="確認" name="proc"></div>
<div class="btn" style="margin-top:180px;"><input type="button" value="戻る" onClick="location='<?php echo $_SESSION["section_title_edit_img_sel"];?>&modoru=1'"></div>
<br class="clear_both">
</form>
</div>
</div><!-- end class="p_contents_subarea" -->
</div><!-- end id="mainarea" -->
</div><!-- end id="small_container" -->
<script type="text/javascript">window.focus();</script>
<script type="text/javascript">resizeTo(1400,450);</script>
</body>
</html>
