<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();

	if ($_POST['proc'] == "確認") {
		$_SESSION["dsp_form_input"] 		= $_POST["dsp_form_input"];
		$_SESSION['section_title_input'] 	= $_POST['section_title_input'];
		$loc = "Location: ./cms_index_contents_mng_section_title_edit_kakunin.php?proc=title&section_title_proc=".$_GET["section_title_proc"]."&section_proc=".$_GET["section_proc"]."&section_id=".$_GET["section_id"];
		header($loc);
		exit;
	}
	
	//セッション情報に保存
	if (!$_GET["modoru"]) {
		$_SESSION["dsp_form_input"] 		= $_POST["dsp_form_input"];
		$_SESSION['section_title_input'] 	= $_POST['section_title_input'];
	}
	$uri_param0 	= $_SERVER['REQUEST_URI'];
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["section_title_edit_img_sel"] = $uri_param[0].'?section_title_proc='.$_GET["section_title_proc"].'&section_proc='.$_GET["section_proc"];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜セクションタイトルの確認</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script src="js/title_back_mng_switch.js"></script>
<?php
if ($_SESSION["section_id"] <> NULL && $_SESSION["section_id"] <> "") {
	$sql = "SELECT * FROM section where (id = ".$_SESSION["section_id"].")";
	echo "<br>sql=".$sql;		// debug
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
	include 'cms_contents_page_edit_updt_common_parts_page_title_edit_img_sel_css.php';		// $styleをセット
}
?>
</head>
<body>
<div id="container_wide">
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contents_subarea_cms">
<br class="clear_both">
<?php
    if ($_SESSION['proc'] == "upd") {
        echo "<div class=\"p_proc_title_cms\">ページタイトル・背景 修正確認</div>";

    }else{
        echo "<div class=\"p_proc_title_cms\">ページタイトル・背景 追加確認</div>";
    }
	echo "<br class=\"clear_both\">";
	echo "<p class=\"p_edit_guide\">　ページタイトルを確認し、背景を選択(クリック）してください。</p>";
	echo "<br class=\"clear_both\">";

// ページタイトル表示
if ($rowpg["title_img_no"] == NULL || $rowpg["title_img_no"] == 0) {
	$title_img_no 	= 0;
}else{
	$title_img_no	= $rowpg["title_img_no"];
}
?>
<form action="./cms_contents_page_edit_updt_title_free_page_title_edit_kakunin.php?proc=<?php echo $_SESSION['proc']; ?>" method="POST">
<?php
echo "<div class=\"p_title_back_$title_img_no\" id=\"contents_title_dsp\" $style>".nl2br($_SESSION['section_title_input'])."</div>";
echo "<br class=\"clear_both\">";
if ($title_img_no <> 0) echo ' <input type="button" value="背景を削除" onClick="location=\'cms_contents_page_edit_updt_title_free_page_title_edit_img_del.php?title_img_no=0\'"><br>';
$title_enc = urlencode(nl2br($dsp_contents));
echo "<br class=\"clear_both\">";
?>
<input type="hidden" name="free_page_title_edit" value="true">
<input type="hidden" name="id" value="<?php echo $_SESSION['section_id']; ?>">
<?php
${back_check.$_SESSION['title_img_no']} = "checked";		// 左辺は可変変数
if ($_SESSION["img_sel"]) $back_check999 			= "checked";
?>
<div class="p_edit_guide">　以下からページタイトル背景の色・模様を選択してください。</div>
<?php
$proc					= $_SESSION['section_title_proc'];
$loc_img_set			= "cms_index_contents_mng_section_title_edit_img_set.php";
$loc_color_no_input		= "cms_index_contents_mng_section_title_edit_color_no_input.php";
$loc_title_adjust		= "cms_index_contents_mng_section_title_edit_adjust.php";
$loc_title_img_input	= "cms_index_contents_mng_section_title_edit_img_input.php";
title_back_sel($proc, $loc_img_set,  $loc_color_no_input, $loc_title_adjust, $loc_title_img_input, $title_enc);
?>
<br class="clear_both">
<br class="clear_both">
</form>
<?php
echo "<div class=\"p_button_modoru\"><input type=\"submit\" value=\"戻る\" onClick=\"location='".$_SESSION["section_title_edit_req_uri"]."&amp;modoru=1'\"></div>";
echo "<br class=\"clear_both\">";
?>
</div><!-- end class="p_contents_subarea" -->
</div><!-- end id="mainarea" -->
</div> <!-- end id="container" -->
<script type="text/javascript">resizeTo(1200,950);</script>
</body>
</html>
