<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$connshp 	= init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	
	$id				= $_POST["customer_info_id"];
	$mail_magazine	= $_POST["mail_magazine_input"];
	
	if ($_GET["ipn"]) {
		$sql_tmp = "update customer_info_ipn set 
						mail_magazine	= :mail_magazine, 
						update_time		= :update_time
						where id		= :id";
			$stmt = $connshpipn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id);
			$stmt->bindParam(":mail_magazine", $mail_magazine);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
	}else{
		$sql_tmp = "update customer_info set 
						mail_magazine	= :mail_magazine, 
						update_time		= :update_time
						where id		= :id";
			$stmt = $connshp->prepare($sql_tmp);
			$stmt->bindParam(":id", $id);
			$stmt->bindParam(":mail_magazine", $mail_magazine);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
	}
	header('Location:cms_manager_customer_mng_meisai.php?id='.$id);
?>
