<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$connshp 	= init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param0 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["uri_shop_order_mng"] = $uri_param0;
	$proc 		= $_GET["proc"];
	if ($proc == "add") {
		$dsp_proc = "追加";
	}else{
		$dsp_proc = "修正";
	}
	$e_mail_input 		= NULL;
	$name_input			= NULL;
	$name_kana_input	= NULL;
	if ($_GET["proc"] == "upd") {
		if ($_GET["ipn"]) {
			$sql = "SELECT * FROM customer_info_ipn WHERE id=".$_GET["id"];
			$stmtcs = $connshpipn->prepare($sql);
			$stmtcs->execute();
			if ($rowcs = $stmtcs->fetch(PDO::FETCH_ASSOC)) {
				$e_mail_input 		= $rowcs["e_mail"];
				$name_input			= $rowcs["name"];
				$name_kana_input	= $rowcs["name_kana"];
			}
		}else{
			$sql = "SELECT * FROM customer_info WHERE id=".$_GET["id"];
			$stmtcs = $connshp->prepare($sql);
			$stmtcs->execute();
			if ($rowcs = $stmtcs->fetch(PDO::FETCH_ASSOC)) {
				$e_mail_input 		= $rowcs["e_mail"];
				$name_input			= $rowcs["name"];
				$name_kana_input	= $rowcs["name_kana"];
			}
		}
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜メール宛先管理</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<div id="mainarea_contents_cms">
<div class="p_contentstitle">メールアドレスの<?php echo $dsp_proc;?></div>
<br class="clear_both">
<div class="p_proc_area_manager">
<div class="p_proc_title_manager">メールアドレスの<?php echo $dsp_proc;?></div>
<div class="p_proc_area_manager_in">
<p>メールアドレス、氏名、氏名（カナ）を<?php echo $dsp_proc;?>し[保存]をクリックしてください。</p>
<br class="clear_both">
</div>
</div>
<br class="clear_both">
<form action="cms_manager_mail_at_once_dbsave.php?ipn=<?php echo $_GET["ipn"];?>&proc=<?php echo $_GET["proc"];?>&id=<?php echo $_GET["id"];?>" method="POST">
<div class="p_proc_area_manager4">
<table cellpadding="2" cellspacing="0" class="p_order">
<tr>
<td class="p_tdhs">メールアドレス</td><td class="p_tdh">氏名</td><td class="p_tdh">氏名（カナ）</td>
</tr>
<?php
	if ($_GET["err"]) {
		$e_mail_input		= $_SESSION["e_mail"];
		$name_input			= $_SESSION["name"];
		$name_kana_input	= $_SESSION["name_kana"];
	}else
	if (!$_GET["proc"] == "upd") {		
		$e_mail_input		= NULL;
		$name_input			= NULL;
		$name_kana_input	= NULL;
	}
	echo '<tr>';
	echo '<td class="p_tds"><input type="text" name="e_mail" size="30" value="'.$e_mail_input.'"></td>';
	echo '<td class="p_td"><input type="text" name="name" size="30" value="'.$name_input.'"></td>';
	echo '<td class="p_td"><input type="text" name="name_kana" size="30" value="'.$name_kana_input.'"></td>';
	echo '</tr>';
?>
</table>
<br class="clear_both">
<?php
if ($_GET["err"]) {
	echo '<div class="errmsg">'.$_SESSION["errmsg"].'</div>';
	echo '<br class="clear_both">';	
}
?>
<div class="btn"><input type="submit" value="　保存　"></div>
<div class="btn"><input type="button" value="　戻る　" onClick="return_focus2();"></div>
</div>
</form>
<br class="clear_both">
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
