<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	$conn 		= init_sqlite();
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["uri_user_mng"] = $uri_param[0]."?mode=1";
	$domain_name = domain_user();
	$_SESSION["mail_sel_".$rowcs["id"]] = 0;
	$_SESSION["mail_address_sel"]		= false;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ユーザー管理</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container_cms">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contentstitle">メール一斉送信管理</div>
<div class="p_contents_subarea">
<br class="clear_both">
「メール宛先管理」「定型文登録」「メール一斉送信」が出来ます。<br>
最初にメール宛先管理で、送信先メールアドレスを登録してください。<br>
<br class="clear_both">
    <div class="p_proc_area_manager">
    <div class="p_proc_title_manager">メール宛先管理</div>
    <div class="p_proc_area_manager_in">
        メールアドレス、顧客情報を登録出来ます。<br>
        お客様がメールマガジン登録、商材購入(paypal決済)、申し込み(paypal決済)時に登録した顧客情報は登録済みになっています。<br>
        <span class="aka1">※メールアドレスが間違っていた場合は「failure notice」というタイトルのエラー通知が<br>
		ログイン画面の「ユーザー名」に入力したメールアドレスに届きます。</span>
        <div class="p_button">
			<a href="cms_manager_mail_at_once_entry.php" target="_blank"><div class="basic_btn">メール宛先管理</div></a>
        </div>
        <br class="clear_both">
    </div>
    </div>
    <br class="clear_both">
    <div class="p_proc_area_manager">
    <div class="p_proc_title_manager">定型文登録</div>
    <div class="p_proc_area_manager_in">
        使用頻度の高いメール本文・タイトルをあらかじめ登録します。<br>本文は、ＨＴＭＬ形式で作成されます。
        <div class="p_button">
			<a href="cms_manager_mail_at_once_teikeibun.php" target="_blank"><div class="basic_btn">定型文登録</div></a>
        </div>
        <br class="clear_both">
    </div>
    </div>
    <br class="clear_both">
    <div class="p_proc_area_manager">
    <div class="p_proc_title_manager">メール一斉送信</div>
    <div class="p_proc_area_manager_in">
        メール本文を作成し、選択した顧客にメールを一斉送信します。<br>
        メール本文を作成する際にあらかじめ登録した定型文を使用出来ます。<br>
        <div class="p_button">
			<a href="cms_manager_mail_at_once_send_edit.php" target="_blank"><div class="basic_btn">メール一斉送信</div></a>
        </div>
        <br class="clear_both">
        <div class="p_button">
            <a href="cms_manager_mail_at_once_send_result_dsp.php" target="_blank"><div class="basic_btn">送信結果を確認</div></a>
        </div>
        <br class="clear_both">
    </div>
    </div>
    <br class="clear_both">
<br>
<div class="btn"><input type="button" value="閉じる" onClick="return_focus2();"></div>
</div>
</div><!-- end class="p_footer_edit_area" -->
</div><!-- end id="mainarea" -->
</div>
<script type="text/javascript">window.focus();</script>
</body>
</html>
