<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$_SESSION['procmsg'] = NULL;
	$_SESSION["errmsg"]	= NULL;
	// 1列目の修正
	$pos = 1;
	while ($pos <= 8) {
		if (isset($_POST["id_array1"][$pos])) {
			$id_array[$pos]		= $_POST["id_array1"][$pos];
			$button_kanjiname 	= $_POST["button_kanjiname_input_array1"][$pos];
			$sql_tmp = "update menubutton set 
						button_kanjiname	= :button_kanjiname,
						update_time 		= :update_time
						where id			= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id_array[$pos]);
			$stmt->bindParam(":button_kanjiname", $button_kanjiname);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
		$pos = $pos + 1;
	}
	// 2列目の修正
	$pos = 1;
	while ($pos <= 8) {
		if (isset($_POST["id_array2"][$pos])) {
			$id_array[$pos]		= $_POST["id_array2"][$pos];
			//echo "id_array=".$id_array[$pos]."<br>";
			$button_kanjiname 	= $_POST["button_kanjiname_input_array2"][$pos];
			//echo "button_kanjiname=".$button_kanjiname."<br>";
			$sql_tmp = "update menubutton set 
						button_kanjiname	= :button_kanjiname,
						update_time 		= :update_time
						where id			= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id_array[$pos]);
			$stmt->bindParam(":button_kanjiname", $button_kanjiname);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
		$pos = $pos + 1;
	}
	// 3列目の修正
	$pos = 1;
	while ($pos <= 8) {
		if (isset($_POST["id_array3"][$pos])) {
			$id_array[$pos]		= $_POST["id_array3"][$pos];
			$button_kanjiname 	= $_POST["button_kanjiname_input_array3"][$pos];
			$sql_tmp = "update menubutton set 
						button_kanjiname	= :button_kanjiname,
						update_time 		= :update_time
						where id			= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id_array[$pos]);
			$stmt->bindParam(":button_kanjiname", $button_kanjiname);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
		$pos = $pos + 1;
	}
	// 4列目の修正
	$pos = 1;
	while ($pos <= 8) {
		if (isset($_POST["id_array4"][$pos])) {
			$id_array[$pos]		= $_POST["id_array4"][$pos];
			$button_kanjiname 	= $_POST["button_kanjiname_input_array4"][$pos];
			$sql_tmp = "update menubutton set 
						button_kanjiname	= :button_kanjiname,
						update_time 		= :update_time
						where id			= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id_array[$pos]);
			$stmt->bindParam(":button_kanjiname", $button_kanjiname);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
		$pos = $pos + 1;
	}
	// 5列目の修正
	$pos = 1;
	while ($pos <= 8) {
		if (isset($_POST["id_array5"][$pos])) {
			$id_array[$pos]		= $_POST["id_array5"][$pos];
			$button_kanjiname 	= $_POST["button_kanjiname_input_array5"][$pos];
			$sql_tmp = "update menubutton set 
						button_kanjiname	= :button_kanjiname,
						update_time 		= :update_time
						where id			= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id_array[$pos]);
			$stmt->bindParam(":button_kanjiname", $button_kanjiname);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
		$pos = $pos + 1;
	}
	// 6列目の修正
	$pos = 1;
	while ($pos <= 8) {
		if (isset($_POST["id_array6"][$pos])) {
			$id_array[$pos]		= $_POST["id_array6"][$pos];
			$button_kanjiname 	= $_POST["button_kanjiname_input_array6"][$pos];
			$sql_tmp = "update menubutton set 
						button_kanjiname	= :button_kanjiname,
						update_time 		= :update_time
						where id			= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id_array[$pos]);
			$stmt->bindParam(":button_kanjiname", $button_kanjiname);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
		$pos = $pos + 1;
	}
	// 7列目の修正
	$pos = 1;
	while ($pos <= 8) {
		if (isset($_POST["id_array7"][$pos])) {
			$id_array[$pos]		= $_POST["id_array7"][$pos];
			$button_kanjiname 	= $_POST["button_kanjiname_input_array7"][$pos];
			$sql_tmp = "update menubutton set 
						button_kanjiname	= :button_kanjiname,
						update_time 		= :update_time
						where id			= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id_array[$pos]);
			$stmt->bindParam(":button_kanjiname", $button_kanjiname);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
		$pos = $pos + 1;
	}
	// 8列目の修正
	$pos = 1;
	while ($pos <= 8) {
		if (isset($_POST["id_array8"][$pos])) {
			$id_array[$pos]		= $_POST["id_array8"][$pos];
			$button_kanjiname 	= $_POST["button_kanjiname_input_array8"][$pos];
			$sql_tmp = "update menubutton set 
						button_kanjiname	= :button_kanjiname,
						update_time 		= :update_time
						where id			= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $id_array[$pos]);
			$stmt->bindParam(":button_kanjiname", $button_kanjiname);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
		$pos = $pos + 1;
	}
$_SESSION['procmsg'] = "変更したボタン名称を保存しました。";
//カテゴリ管理ページに遷移する。
header('Location: ./cms_menubtn_edit.php');
/*
print "<script type=\"text/javascript\">return_reload_focus2();</script>";					// 自分自身を閉じる。
*/
?>
