<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
// コンテンツページコントロールのpage_tableがセットされているかチェックし、セットされている場合はページ毎のcssをlinkする。
$button_tbl 	= "menubutton";
$button_tbl_id	= $btn_id;
$sql = "SELECT * FROM contents_page_ctrl where ( button_tbl = :button_tbl and button_tbl_id = :button_tbl_id )";
$stmt = $conn->prepare($sql);
$stmt->bindParam(":button_tbl", $button_tbl);
$stmt->bindParam(":button_tbl_id", $button_tbl_id);
$stmt->execute();
$rowctrl = $stmt->fetch(PDO::FETCH_ASSOC);
if ($rowctrl["page_table"] == NULL || $rowctrl["page_table"] == "") {
	$page_none = true;	
}else{
	$page_none = false;	
	$common_page_id 				= $rowctrl["page_id"];
	$_SESSION["common_page_id"] 	= $common_page_id;	// 各コンテンツページのページID
	echo '<link href="'.$hp_ref.'cssfiles/'.$rowctrl["page_table"].'.css" rel="stylesheet" type="text/css">';
}
?>
