<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
// コンテンツデザインテーブルを読んでヘッダーデザイン用CSSをlinkする。
$design_set_ari = false;
if (!($_SESSION["menu_kbn"] == NULL || $_SESSION["btn_id"] == NULL)) {
	$sql = 'SELECT * FROM contents_design_set2 WHERE (menu_kbn = '.$_SESSION["menu_kbn"].' and btn_id ='.$_SESSION["btn_id"].')';
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if (!$rowdesign = $stmt->fetch(PDO::FETCH_ASSOC)) {		// データ無しの場合は、全体デザインテーブルを読んでヘッダーデザイン用CSSをlinkする。
		$sql = "SELECT * FROM design_set";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowdesign = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$design_set_ari = true;
		}
	}
}else{
		$sql = "SELECT * FROM design_set";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if($rowdesign = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$design_set_ari = true;
		}
		
}
	$header_form  				= (isset($_GET["header_form"]) && $_GET["header_form"]<>"") ? $_GET["header_form"] : $rowdesign["header_form"];	//３項演算子
	$header_color 				= (isset($_GET["header_color"]) && $_GET["header_color"]<>"") ? $_GET["header_color"] : $rowdesign["header_color"];	//３項演算子
	$header_color_no 			= (isset($_GET["header_color_no"]) && $_GET["header_color_no"]<>"") ? $_GET["header_color_no"] : $rowdesign["header_color_no"];	//３項演算子
	$side_background_color		= (isset($_GET["side_background_color"]) && $_GET["side_background_color"]<>"") ? $_GET["side_background_color"] : $rowdesign["side_background_color"];	//３項演算子
	$side_background_color_no	= (isset($_GET["side_background_color_no"]) && $_GET["side_background_color_no"]<>"") ? $_GET["side_background_color_no"] : $rowdesign["side_background_color_no"];	//３項演算子
	$footer_form 				= (isset($_GET["footer_form"]) && $_GET["footer_form"]<>"") ? $_GET["footer_form"] : $rowdesign["footer_form"];	//３項演算子
	$footer_color 				= (isset($_GET["footer_color"]) && $_GET["footer_color"]<>"") ? $_GET["footer_color"] : $rowdesign["footer_color"];	//３項演算子
	$footer_color_no 			= (isset($_GET["footer_color_no"]) && $_GET["footer_color_no"]<>"") ? $_GET["footer_color_no"] : $rowdesign["footer_color_no"];	//３項演算子
	$footer_font_color_no 		= (isset($_GET["footer_font_color_no"]) && $_GET["footer_font_color_no"]<>"") ? $_GET["footer_font_color_no"] : $rowdesign["footer_font_color_no"];	//３項演算子
	$menu_btn_design 			= (isset($_GET["menu_btn_design"]) && $_GET["menu_btn_design"]<>"") ? $_GET["menu_btn_design"] : $rowdesign["menu_btn_design"];	//３項演算子
	$menu_btn_color 			= (isset($_GET["menu_btn_color"]) && $_GET["menu_btn_color"]<>"") ? $_GET["menu_btn_color"] : $rowdesign["menu_btn_color"];	//３項演算子
	$get_color_no						= urldecode($_GET["menu_btn_line_color_no"]);
	$get_font_color_no_off				= urldecode($_GET["menu_btn_font_color_no_off"]);
	$get_under_font_color_no_off		= urldecode($_GET["menu_btn_under_font_color_no_off"]);
	$get_side_font_color_no_off			= urldecode($_GET["side_btn_font_color_no_off"]);
	$menu_btn_line_color_no				= (isset($get_color_no) && $get_color_no<>"") ? $get_color_no : $rowdesign["menu_btn_line_color_no"];									//３項演算子
	$menu_btn_font_color_no_off			= (isset($get_font_color_no_off) && $get_font_color_no_off<>"") ? $get_font_color_no_off : $rowdesign["menu_btn_font_color_no_off"];	//３項演算子
	$menu_btn_under_font_color_no_off	= (isset($get_under_font_color_no_off) && $get_under_font_color_no_off<>"") ? $get_under_font_color_no_off : $rowdesign["menu_btn_under_font_color_no_off"];	//３項演算子
	$menu_btn_font_bold 	= (isset($_GET["menu_btn_font_bold"]) && $_GET["menu_btn_font_bold"]<>"") ? $_GET["menu_btn_font_bold"] : $rowdesign["menu_btn_font_bold"];	//３項演算子
	$menu_btn_img_file_off	= ((isset($get_color_no) && $get_color_no<>"") || (isset($get_font_color_no_off) && $get_font_color_no_off<>"")) ? $_SESSION['upload_name1'] : $rowdesign["menu_btn_img_file_off"];	//３項演算子
	$menu_btn_img_file_on	= ((isset($get_color_no) && $get_color_no<>"") || (isset($get_font_color_no_off) && $get_font_color_no_off<>"")) ? $_SESSION['upload_name2'] : $rowdesign["menu_btn_img_file_on"];	//３項演算子
	$header_img_file		= (isset($_GET["header_form"]) && $_GET["header_form"]<>"") ? $_SESSION['upload_name'] : $rowdesign["header_img_file"];	//３項演算子
	$header_img_dsp_form	= (isset($_GET["header_img_dsp_form"]) && $_GET["header_img_dsp_form"]<>"") ? $_GET['header_img_dsp_form'] : $rowdesign["header_img_dsp_form"];	//３項演算子	
	// サイド背景色用CSSをリンクする。
	if ($side_background_color <> "" && $side_background_color <> NULL && $side_background_color <> 0) {
		if ($side_background_color == 1) {													// ブラック
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_black.css\" rel=\"stylesheet\" type=\"text/css\">";
		}else
		if ($side_background_color == 2) {													// ダークグレー
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_dark_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
		}else
		if ($side_background_color == 3) {													// グレー
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
			if ($footer_form == 2 || $footer_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_side_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
			if ($header_form == 2 || $header_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_side_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
		}else
		if ($side_background_color == 4) {													// 薄いグレー
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_light_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
			if ($footer_form == 2 || $footer_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_side_light_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
			if ($header_form == 2 || $header_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_side_light_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
		}else
		if ($side_background_color == 5) {													// 濃いネイビー
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_dark_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			if ($footer_form == 2 || $footer_form == 3){													// 濃いネイビー
				echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_side_dark_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
			if ($header_form == 2 || $header_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_side_dark_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
		}else
		if ($side_background_color == 6) {													// ネイビー
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			if ($footer_form == 2 || $footer_form == 3){													// 濃いネイビー
				echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_side_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
			if ($header_form == 2 || $header_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_side_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
		}else
		if ($side_background_color == 7) {													// 薄いネイビー
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_light_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			if ($footer_form == 2 || $footer_form == 3){													// 濃いネイビー
				echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_side_light_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
			if ($header_form == 2 || $header_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_side_light_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
		}else
		if ($side_background_color == 9) {													// 濃いベージュ
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_dark_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
			if ($footer_form == 2 || $footer_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_side_dark_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
			if ($header_form == 2 || $header_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_side_dark_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
		}else
		if ($side_background_color == 11) {													//薄いベージュ
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_light_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
			if ($footer_form == 2 || $footer_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_side_light_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
			if ($header_form == 2 || $header_form == 3){													// 角丸
				echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_side_light_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
			}
		}else
		if ($side_background_color == 12) {													//ホワイト
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_white.css\" rel=\"stylesheet\" type=\"text/css\">";
		}else
		if ($side_background_color == 998) {												//オリジナルカラー指定
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_colorset.css\" rel=\"stylesheet\" type=\"text/css\">";
			echo '<style type="text/css">';
			echo '#container1 {;
					background-color:'.$side_background_color_no.';
				  }
				  #container2 {
						background-color:'.$side_background_color_no.';
				  }
				  #container3 {
						background-color:'.$side_background_color_no.';
				  }
				  #container_index {
						background-color:'.$side_background_color_no.';
				  }
				  .header_menu {
						background-color:'.$side_background_color_no.';
				  }
				  #header_area {
						background-color:'.$side_background_color_no.';
				  }
				  body {
						background-color:'.$side_background_color_no.';
				  }';								/* test */
			echo '</style>';
		}else{
			echo "<link href=\"".$hp_ref."cssfiles/cms_back_side_white.css\" rel=\"stylesheet\" type=\"text/css\">";
		}
	}
	// ヘッダー背景色用CSSをリンクする。
	/* ヘッダー帯状　*/
	if ($header_form == 11 && $header_color == 1) {													// 帯状広い、黒
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_black11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 1) {													// 帯状狭い、黒
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_black12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 2) {													// 帯状広い、ダークグレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_gray11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 2) {													// 帯状狭い、ダークグレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_gray12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 3) {													// 帯状広い、グレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_gray11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 3) {													// 帯状狭い、グレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_gray12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 4) {													// 帯状広い、薄いグレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_gray11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 4) {													// 帯状狭い、薄いグレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_gray12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 5) {													// 帯状広い、ダークネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_navy11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 5) {													// 帯状狭い、ダークネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_navy12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 6) {													// 帯状広い、ネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_navy11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 6) {													// 帯状狭い、ネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_navy12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 7) {													// 帯状広い、薄いネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_blue11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 7) {													// 帯状狭い、薄いネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_blue12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 8) {													// 帯状広い、ブラックゴールド
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_black_gold11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 8) {													// 帯状狭い、ブラックゴールド
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_black_gold12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 9) {													// 帯状広い、濃いベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_beige11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 9) {													// 帯状狭い、濃いベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_beige12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 10) {													// 帯状広い、ベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_beige11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 10) {													// 帯状狭い、ベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_beige12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 11) {													// 帯状広い、薄いベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_beige11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 11) {													// 帯状狭い、薄いベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_beige12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 12){													// ホワイト
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_white11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 12){													// ホワイト
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_white12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 14) {													// 帯状広い、濃いピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_pink11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 14) {													// 帯状狭い、濃いピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_pink12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 15) {													// 帯状広い、ピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_pink11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 15) {													// 帯状狭い、ピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_pink12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 16) {													// 帯状広い、薄いピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_pink11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 16) {													// 帯状狭い、薄いピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_pink12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 101){													// 帯状広い、ブラック（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_black_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 101){													// 帯状狭い、ブラック（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_black_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 102){													// 帯状広い、ダークグレー（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_gray_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 102){													// 帯状狭い、ダークグレー（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_gray_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 103){													// 帯状広い、グレー（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_gray_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 103){													// 帯状狭い、グレー（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_gray_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 104){													// 帯状広い、薄いグレー（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_gray_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 104){													// 帯状狭い、薄いグレー（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_gray_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 105){													// 帯状広い、ネイビー（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_navy_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 105){													// 帯状狭い、ネイビー（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_navy_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 109){													// 帯状広い、濃いベージュ（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_beige_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 109){													// 帯状狭い、濃いベージュ（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_beige_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 110){													// 帯状広い、ベージュ（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_beige_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 110){													// 帯状狭い、ベージュ（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_beige_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 111){													// 帯状広い、薄いベージュ（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_beige_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 111){													// 帯状狭い、薄いベージュ（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_beige_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 112){													// 帯状広い、ホワイト（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_white_gradation_11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 112){													// 帯状狭い、ホワイト（グラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_white_gradation_12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 113){													// 帯状広い、ゴールド
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_gold11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 113){													// 帯状狭い、ゴールド
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_gold12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 211){													// 帯状広い、薄いベージュ（クリスタルグラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_beige_crystal_gradation11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 211){													// 帯状狭い、薄いベージュ（クリスタルグラデーション）
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_beige_crystal_gradation12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 301){													// 帯状広い、ブラックストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_black_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 301){													// 帯状狭い、ブラックストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_black_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 302){													// 帯状広い、ダークグレーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_gray_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 302){													// 帯状狭い、ダークグレーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_gray_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 303){													// 帯状広い、グレーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_gray_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 303){													// 帯状狭い、グレーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_gray_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 304){													// 帯状広い、ライトグレーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_gray_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 304){													// 帯状狭い、ライトグレーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_gray_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 305){													// 帯状広い、ダークネイビーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_navy_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 305){													// 帯状狭い、ダークネイビーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_navy_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 306){													// 帯状広い、ネイビーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_navy_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 306){													// 帯状狭い、ネイビーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_navy_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 307){													// 帯状広い、ライトネイビーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_navy_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 307){													// 帯状狭い、ライトネイビーストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_navy_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 309){													// 帯状広い、ダークベージュストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_beige_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 309){													// 帯状狭い、ダークベージュストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_beige_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 310){													// 帯状広い、ベージュストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_beige_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 310){													// 帯状狭い、ベージュストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_beige_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 311){													// 帯状広い、ライトベージュストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_beige_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 311){													// 帯状狭い、ライトベージュストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_beige_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 314){													// 帯状広い、ダークピンクストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_pink_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 314){													// 帯状狭い、ダークピンクストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_dark_pink_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 315){													// 帯状広い、ピンクストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_pink_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 315){													// 帯状狭い、ピンクストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_pink_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 316){													// 帯状広い、ライトピンクストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_pink_stripe11.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 316){													// 帯状狭い、ライトピンクストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_pink_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 12 && $header_color == 316){													// 帯状狭い、ライトピンクストライプ
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_light_pink_stripe12.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 13 && $header_color == 15){													// ヘッダーワイド、ピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_wide_pink.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 13 && $header_color == 16){													// ヘッダーワイド、ライトピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_wide_light_pink.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 13 && $header_color == 18){													// ヘッダーワイド、ライトブルー
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_wide_light_blue.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 11 && $header_color == 998){													// 色番号指定
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_colorset11.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo '.header_menu {;
				background-color:'.$header_color_no.';
				}
				.header_menu_ref {
					background-color:'.$header_color_no.';
				}';								/* test */
		echo '</style>';
	}else
	if ($header_form == 12 && $header_color == 998){													// 色番号指定
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_colorset12.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo '.header_menu {;
				background-color:'.$header_color_no.';
				}
				.header_menu_ref {
					background-color:'.$header_color_no.';
				}';								/* test */
		echo '</style>';
	}else
	if ($header_form == 13 && $header_color == 998){													// 色番号指定
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_colorset13.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo '.header_menu {;
				background-color:'.$header_color_no.';
				}
				.header_menu_ref {
					background-color:'.$header_color_no.';
				}';								/* test */
		echo '</style>';
	}else
	if ($header_form == 99 && $header_color == 999){													// イメージファイル
		$imgsize = getimagesize($hp_ref."data/uploads/".$header_img_file);
		$width 	= $imgsize[0];
		$height = $imgsize[1];
	
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_img_file_auto.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo ".header_menu {";
		echo "background-image:url(data/uploads/".$header_img_file.");";
		echo "height:".$height."px;";
		if ($header_img_dsp_form == 2) {
			echo "background-repeat:no-repeat;";
			echo "background-position: center top;";
			echo "background-size: auto;";
			echo "background-attachment:scroll;";
		}
		echo "}";
		echo ".header_menu_in {";
		echo "height:".$height."px;";
		echo "}";
		echo ".header_menu_ref {";
		echo "height:".$height."px;";
		echo "background-image:url(".$hp_ref."data/uploads/".$header_img_file.");";
		if ($header_img_dsp_form == 2) {
			echo "background-repeat:no-repeat;";
			echo "background-position: center top;";
			echo "background-size: auto;";
			echo "background-attachment:scroll;";
		}
		echo "}";
		echo ".header_menu_ref_in {";
		echo "height:".$height."px;";
		echo "}";
		echo "#header_area_ref {";
		echo "height:".$height."px;";
		echo "}";
		echo "#header_area_ref_in {";
		echo "height:".$height."px;";
		echo "}";
		echo '</style>';
	}else
	/* ヘッダー角丸　*/
	if ($header_form == 2 && $header_color == 1){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_black.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 2 && $header_color == 5){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 2 && $header_color == 10){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 2 && $header_color == 12){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_white.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 2 && $header_color == 998){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadomaru_colorset.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo '.header_menu_in {;
				background-color:'.$header_color_no.';
				}
				.header_menu_ref_in {
					background-color:'.$header_color_no.';
				}';								/* test */
		echo '</style>';
	}else
	/* ヘッダー角角　*/
	if ($header_form == 3 && $header_color == 1){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadokaku_black.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 3 && $header_color == 5){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadokaku_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 3 && $header_color == 10){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadokaku_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 3 && $header_color == 12){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadokaku_white.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($header_form == 3 && $header_color == 998){
		echo "<link href=\"".$hp_ref."cssfiles/cms_header_kadokaku_colorset.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo '.header_menu_in {;
				background-color:'.$header_color_no.';
				}
				.header_menu_ref_in {
					background-color:'.$header_color_no.';
				}';								/* test */
		echo '</style>';
	}
	// 1列目のメニューボタンの個数を取得
	if ($_GET["preview"] || $mode == 0) {
		$cond = " and display_flg = 1";
	}else{
		$cond = "";
	}
	$sql = "SELECT count(*) cnt FROM menubutton where (orderno <= 18".$cond.")";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	switch ($row["cnt"]) {		
		case 8:
			echo "<link href=\"".$hp_ref."cssfiles/menu8.css\" rel=\"stylesheet\" type=\"text/css\">";
			break;
		case 7:
			echo "<link href=\"".$hp_ref."cssfiles/menu7.css\" rel=\"stylesheet\" type=\"text/css\">";
			break;
		case 6:
			echo "<link href=\"".$hp_ref."cssfiles/menu6.css\" rel=\"stylesheet\" type=\"text/css\">";
			break;
		case 5:
			echo "<link href=\"".$hp_ref."cssfiles/menu5.css\" rel=\"stylesheet\" type=\"text/css\">";
			break;
		case 4:
			echo "<link href=\"".$hp_ref."cssfiles/menu4.css\" rel=\"stylesheet\" type=\"text/css\">";
			break;
		case 3:
			echo "<link href=\"".$hp_ref."cssfiles/menu3.css\" rel=\"stylesheet\" type=\"text/css\">";
			break;
		case 2:
			echo "<link href=\"".$hp_ref."cssfiles/menu2.css\" rel=\"stylesheet\" type=\"text/css\">";
			break;
		case 1:
			echo "<link href=\"".$hp_ref."cssfiles/menu1.css\" rel=\"stylesheet\" type=\"text/css\">";
			break;
	}
	// フッターのデザイン用CSSをリンクする。
	/* フッター帯状　*/
	if ($footer_form == 1 && $footer_color == 1) {													// 黒
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_black.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 2) {													// ダークグレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_dark_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 3) {													// グレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 4) {													// 薄いグレー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_light_gray.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 5) {													// 濃いネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_dark_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 6) {													// ネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 7) {													// 薄いネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_light_navy2.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 9) {													// 濃いベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_dark_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 10) {													// ベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 11) {													// 薄いベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_light_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 12){													// ホワイト
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_white.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 13){													// ゴールド
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_gold.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 14){													// 濃いピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_dark_pink.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 15){													// ピンク」
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_pink.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 16){													// 薄いピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_light_pink.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 17){													// 薄いピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_blue2.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 18){													// 薄いピンク
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_light_blue.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 1 && $footer_color == 998){													// オリジナルカラー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_band_colorset.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo 	'#footer_area {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_area a:link {
					color:'.$footer_font_color_no.';
				}
				#footer_area a:visited {
					color:'.$footer_font_color_no.';
				}
				#footer_img {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_img_repeat {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_last {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				#footer_last_in {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}';
				
		echo '</style>';
	}else
	/* フッター角丸　*/
	if ($footer_form == 2 && $footer_color == 1){													// 黒
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_black.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 2 && $footer_color == 5){													// 濃いネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 2 && $footer_color == 10){													// ベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 2 && $footer_color == 12){													// 白
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_white.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 2 && $footer_color == 998){													// オリジナルカラー
		//echo '<br>フッター角丸 オリジナル色';	// test
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadomaru_colorset.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo 	'#footer_area_in {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_area_in a:link {
					color:'.$footer_font_color_no.';
				}
				#footer_area_in a:visited {
					color:'.$footer_font_color_no.';
				}
				#footer_img_in {
					border-top: solid 1px '.$footer_color_no.';
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_last {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_last_in {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}';
		echo '</style>';
	}else
	/* フッター角角　*/
	if ($footer_form == 3 && $footer_color == 1){													// 黒
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadokaku_black.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 3 && $footer_color == 5){													// 濃いネイビー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadokaku_navy.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 3 && $footer_color == 10){													// ベージュ
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadokaku_beige.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 3 && $footer_color == 12){													// 白
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadokaku_white.css\" rel=\"stylesheet\" type=\"text/css\">";
	}else
	if ($footer_form == 3 && $footer_color == 998){													// オリジナルカラー
		echo "<link href=\"".$hp_ref."cssfiles/cms_footer_kadokaku_colorset.css\" rel=\"stylesheet\" type=\"text/css\">";
		echo '<style type="text/css">';
		echo 	'#footer_area_in {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_area_in a:link {
					color:'.$footer_font_color_no.';
				}
				#footer_area_in a:visited {
					color:'.$footer_font_color_no.';
				}
				#footer_img_in {
					border-top: solid 1px '.$footer_color_no.';
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_last {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}
				#footer_last_in {
					background-color:'.$footer_color_no.';
					color:'.$footer_font_color_no.';
				}';
		echo '</style>';
	}
	/********************************************/
	/* フリーページタイトル用CSS				*/
	/********************************************/
	if ($rowctrl["page_table"] == "contents_title_free_page") {
		$sql = "SELECT * FROM contents_title_free_page where (id = :id)";
		$stmt = $conn->prepare($sql);
		$stmt->bindParam(":id", $rowctrl["page_id"]);
		$stmt->execute();
		$rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
		if ($rowpg["title_img_no"] >= 201 && $rowpg["title_img_no"] <= 299) {
			echo '<style type="text/css">';
			$no = $rowpg["title_img_no"];
			echo ".p_title_back_$no {";
			echo "padding-top:".$rowpg["padding_top"]."px;";
			echo "text-indent:".$rowpg["indent"]."px;";
			echo "}";
			echo '</style>';
		}else
		if ($rowpg["title_img_no"] == "998" || $rowpg["title_img_no"] == "997") {
			echo '<style type="text/css">';
			$no = $rowpg["title_img_no"];
			echo ".p_title_back_$no {";
			echo "background-color:".$rowpg["title_color"].";";
			echo "}";
			echo '</style>';
		}else
		if ($rowpg["title_img_no"] == "999") {
			echo '<style type="text/css">';
			echo ".p_title_back_999 {";
			echo "padding-top:".$rowpg["padding_top"]."px;";
			echo "text-indent:".$rowpg["indent"]."px;";
			echo "background-image:url(data/uploads/".$rowpg["title_img_file"].")";
			echo "}";
			echo '</style>';
		}
	}
//}
?>
<!-- for Lightbox 2 css start -->
<link rel="stylesheet" href="<?php echo $hp_ref;?>css/lightbox.css" type="text/css" media="screen" >
<!-- for Lightbox 2 css end -->
<!-- html5対応(IE) start-->
<!--[if lt IE 9]>
<script src="<?php echo $hp_ref;?>js_common/html5shiv.js"></script>
<![endif]-->
<!-- html5対応(IE) end-->
<!-- for Lightbox 2 start -->
<script src="<?php echo $hp_ref;?>jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="<?php echo $hp_ref;?>jQuery/jquery.timers-1.2.js"></script>
<script type="text/javascript" src="<?php echo $hp_ref;?>jQuery/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="<?php echo $hp_ref;?>js/lightbox.min.js"></script>
<!-- for Lightbox 2 end -->
<script type="text/javascript" src="<?php echo $hp_ref;?>js/floater.js"></script>
