<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/

// メニューボタンの段数を取得する。
$sql = "SELECT * FROM menubutton ORDER BY orderno DESC";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$dan = floor($row["orderno"]/10);
	$link_area_height = 42;
}else{
	$link_area_height = 0;
}

$footer_area_height = $link_area_height;
if ($mode==1) $footer_area_height = $link_area_height + 64;

$footertext_ari = false;
$sql = "SELECT * FROM footer_text";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($rowfootertext = $stmt->fetch(PDO::FETCH_ASSOC)) {
	if ($rowfootertext["footertext"] <> NULL && $rowfootertext["footertext"] <> "") {
		$footertext_ari = true;
		$footer_area_height = $footer_area_height + 40;
	}
}

echo '<div id="footer_area" style="height:'.$footer_area_height.'px;">';
echo '<div id="footer_area_in" style="height:'.$footer_area_height.'px;">';

if ($root==1){
	$index_page = true;
}else{
	$index_page = false;
}
if ($index_page) {
	$input_click	= '<a href="cms_menubtn_edit.php" target="_blank"><div class="edit" style="width:180px;float:left;">フッターリンク編集</div></a>';
	$input_click2	= '<a href="cms_background_mng.php?hashname=footer_design" target="_blank"><div class="edit" style="width:200px;float:left;">フッターデザイン設定</div></a>';
} else {
	$input_click 	= NULL;
	$input_click2 	= NULL;
}
if (!$preview && $mode==1 && $edit<>2) {
	echo '<div class="edit_footer_link" style="height:30px;width:'.$dv_width.'px;">';
	$_SESSION["adderrmsg"] = NULL;	// 初期化
	echo $input_click." ".$input_click2;
	echo '</div>';
}
if ($edit == 2) {
	$click_false = 'onclick="return false" title="確認画面ではクリックできません"';
} else
if ($edit == 3) {
	$click_false = 'onclick="return false" title="プレビュー画面ではクリックできません"';
} else
if ($mode == 1) {
	$click_false = 'onclick="return false" title="編集画面ではクリックできません"';
} else {
	$click_false = "";
}

echo '<div id="footer_link_area" style="position:relative;float:none;height:'.$link_area_height.'px;width:'.$dv_width.'px;">';
echo '<div id="footer_link_area_in" style="position:absolute;top:0px;left:0px;float:none;height:'.$link_area_height.'px;width:'.$dv_width.'px;">';
//　リンクページ表示
if ($edit==1) {
	echo '<div class="menubutton" style="height:'.$link_area_height.'px;width:'.$dv_width.'px;z-index:20000;">';
} else {
	echo '<div class="menubutton_ref" style="height:'.$link_area_height.'px;width:'.$dv_width.'px;z-index:20000;">';
}
$sql = "SELECT count(*) cnt FROM menubutton where orderno <= 18";
$stmt = $conn->prepare($sql);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);
header_menu($conn, $mode, $row["cnt"], $edit, $root, $menu_kbn, $hp_ref); 			// フッターリンクを表示
echo '</div><!-- end menubutton -->';
echo '</div><!-- end footer_link_area_in -->';
//　リンクページ表示　end
if ($index_page) {
	$input_click	= '<a href="cms_footer_text_edit.php" target="_blank"><div class="edit" style="width:140px;float:left;">フッター編集</div></a>';
} else {
	$input_click = NULL;
}
		
if (!$preview && $mode==1 && $edit<>2) {
	echo '<div class="edit_footer_text" style="position:absolute;top:40px;left:0px;">';
	echo $input_click;
	echo '</div>';
	$footer_last_top = 60;
}else{
	$footer_last_top = 35;
}

if ($footertext_ari) {
	echo '<div id="footer_last" style="position:absolute;top:'.$footer_last_top.'px;left:0px">';
	echo "<div id=\"footer_last_in\">";
	echo nl2br($rowfootertext["footertext"]);
	echo "</div>";
	echo "</div>";
}
?>
</div><!-- end footer_link_area-->
<!-- フッター end -->
<script type="text/javascript">
jQuery(function(){
	var menubutton_height = jQuery(".menubutton_ref").css("height");
});
</script>