<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$uri_param = explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["req_color_input"] = $uri_param[0]."?footer_form=".$_GET["footer_form"]."&footer_color=".$_GET["footer_color"];
	$_SESSION["footer_form"] 	= $_GET["footer_form"];
	$_SESSION["footer_color"]	= $_GET["footer_color"];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜フッターカラーの指定</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_background_mng.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script type="text/javascript" src="js/cms_proc.js"></script>
<script>
$(function () {
	$("#wColorPicker1").css("display","none");
	var color_no = jQuery("#color_no_input").val();
	jQuery("#color_no_input").css("background-color",color_no);
	$("#color_no_input").on("click touchend", function(){
		$("#wColorPicker1").slideDown("fast");
	});
	$(document).on("click touchend", function(event) {
	  if (!$(event.target).closest("#color_no_input").length) {
		var bk_color = jQuery("#color_no_input").val();
		$("#wColorPicker1").slideUp("fast");
	  }
	});				
	$("#wColorPicker1").wColorPicker({
		color: '#006699',
		onSelect: function(color){
			$("#color_no_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#color_no_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#color_no_input").css('background', color).val(color);
		}
	});
	
	$("#wColorPicker2").css("display","none");
	var color_no = jQuery("#font_color_no_input").val();
	jQuery("#font_color_no_input").css("background-color",color_no);
	$("#font_color_no_input").on("click touchend", function(){
		$("#wColorPicker2").slideDown("fast");
	});
	$(document).on("click touchend", function(event) {
	  if (!$(event.target).closest("#font_color_no_input").length) {
		var bk_color = jQuery("#font_color_no_input").val();
		$("#wColorPicker2").slideUp("fast");
	  }
	});				
	$("#wColorPicker2").wColorPicker({
		color: '#FFFFFF',
		onSelect: function(color){
			$("#font_color_no_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#font_color_no_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#font_color_no_input").css('background', color).val(color);
		}
	});
});
</script>
<body>
<div id="container_cms_left">
<br>
<div class="proc_title">フッターカラーの指定</div>
<br class="clear_both">
<div class="p_header_title2">　フッターカラーを入力後[確認]をクリックてください。</div>
<form action="cms_background_mng_footer_color_kakunin.php" method="POST">
<?php
// 全体デザインテーブルを読む。
$sql = "SELECT * FROM design_set";
$stmt = $conn->prepare($sql);
$stmt->execute();
$rowdesign = $stmt->fetch(PDO::FETCH_ASSOC);
echo "<br class=\"clear_both\">";
if ($_GET["modoru"]) {
	$color_value 		= $_SESSION["color_no_input"];
	$font_color_value 	= $_SESSION["font_color_no_input"];
}else{
	if ($rowdesign["footer_color_no"] <> NULL && $rowdesign["footer_color_no"] <> "") {
		$color_value = $rowdesign["footer_color_no"];
	}else{
		$color_value 		= "#006699";
	}
	if ($rowdesign["footer_font_color_no"] <> NULL && $rowdesign["footer_font_color_no"] <> "") {
		$font_color_value = $rowdesign["footer_font_color_no"];
	}else{
		$font_color_value 		= "#FFFFFF";
	}
}
echo '<div class="item_title">フッターエリアカラー </div>';
echo '<br class="clear_both">';
echo '<div style="margin-left:20px;position:relative;float:left;"><div id="wColorPicker1" class="hoverBox" style="position:absolute;top:24px;z-index:5000;"></div><input type="text" name="color_no_input" id="color_no_input" value="'.$color_value.'" class="color" size="8">　<span class="edit_memo">※カラーピッカーをクリックするか直接カラーコードを入力してください。</span></div>';
echo '<br class="clear_both">';
echo '<div class="item_title">フッターフォントカラー </div>';
echo '<br class="clear_both">';
echo '<div style="margin-left:20px;position:relative;float:left;"><div id="wColorPicker2" class="hoverBox" style="position:absolute;top:24px;"></div><input type="text" name="font_color_no_input" id="font_color_no_input" value="'.$font_color_value.'" class="color" size="8">　<span class="edit_memo">※カラーピッカーをクリックするか直接カラーコードを入力してください。</span></div>';
echo "<br class=\"clear_both\">";
if ($_GET["err"]) echo $_SESSION["errmsg"];
?>
<br>
<div class="btn" style="margin-top:180px;"><input type="submit" value="保存" name="proc"></div>
<div class="btn" style="margin-top:180px;"><input type="submit" value="確認" name="proc"></div>
<div class="btn" style="margin-top:180px;"><input type="button" value="戻る" onClick="return_focus2();"></div>
</form>
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
