<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	
	$menu_kbn 				= $_GET["menu_kbn"];
	$btn_id					= $_GET["btn_id"];
	$page_id				= $_GET["page_id"];		// 0のときは対応ページ無し
	$root					= $_GET["root"];
  	$_SESSION['process']	= $_GET['proc'];
	$_SESSION['upload_name']				= NULL;
	$laypage_id = $page_id;
	$_SESSION["req_uri_cms_contents_news_edit"] = $_SERVER['REQUEST_URI'];
	$uri_array 	= explode( "?", $_SERVER["REQUEST_URI"] );
	$param		= $uri_array[1];
	$uri_param0 = str_replace("/hp_ref/","",$uri_array[0]);
	$menu_kbn 	= $_GET["menu_kbn"];
	$btn_id		= $_GET["btn_id"];
	$root		= $_GET["root"];
	$page_id	= $_GET["id"];
	$_SESSION["menu_kbn"] 	= $menu_kbn;
	$_SESSION["btn_id"] 	= $btn_id;

	$sql = "SELECT * FROM contents_layout where (menu_kbn = ".$menu_kbn." and btn_id = ".$btn_id.")";
	//echo "sql3=".$sql;
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$rowlay = $stmt->fetch(PDO::FETCH_ASSOC);
	$_SESSION["HTTP_USER_AGENT"] 				= $_SERVER['HTTP_USER_AGENT'];
	$_SESSION["img_using_table_name_col_id"] 	= "contents_news_data_0";								// サーバー画像削除可能とするため
	$width 					= "960px";
	$_SESSION["area_width"] = 902;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜トップページの編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_news_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<?php
include("cms_parts_contesnts_page_css_link.php"); 
?>
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script src="js/cms_color_for_wColorPicker.js"></script>
<script type="text/javascript" src="js/lightbox.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<script>
$(function () {
	$("#wColorPicker4").css("display","none");
	var color_no = jQuery("#title_font_color1_input").val();
	jQuery("#title_font_color1_input").css("background-color",color_no);
	$("#title_font_color1_input").on("click touchend", function(){
		$("#wColorPicker4").slideDown("fast");
	});
	$(document).on("click touchend", function(event) {
	  if (!$(event.target).closest("#title_font_color1_input").length) {
		var bk_color = jQuery("#title_font_color1_input").val();
		$("#wColorPicker4").slideUp("fast");
	  }
	});				
	$("#wColorPicker4").wColorPicker({
		color: '#006699',
		onSelect: function(color){
			$("#title_font_color1_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#title_font_color1_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#title_font_color1_input").css('background', color).val(color);
		}
	});
	
	$("#wColorPicker5").css("display","none");
	var color_no = jQuery("#title_font_color2_input").val();
	jQuery("#title_font_color2_input").css("background-color",color_no);
	$("#title_font_color2_input").on("click touchend", function(){
		$("#wColorPicker5").slideDown("fast");
	});
	$(document).on("click touchend", function(event) {
	  if (!$(event.target).closest("#title_font_color2_input").length) {
		var bk_color = jQuery("#title_font_color2_input").val();
		$("#wColorPicker5").slideUp("fast");
	  }
	});				
	$("#wColorPicker5").wColorPicker({
		color: '#006699',
		onSelect: function(color){
			$("#title_font_color2_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#title_font_color2_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#title_font_color2_input").css('background', color).val(color);
		}
	});
});
</script>
</head>
<body>
<div id="container_wide">
<br>
<?php
$_SESSION['repeat'] = "off";	
if (!$_GET['modoru']) {			//記事管理メニューページから遷移した場合
  $_SESSION['process'] 	= $_GET['proc'];
  $_SESSION['sel_id'] 	= $_GET['sel_id'];
}
if ($_GET['proc'] == "add") {
  echo "<div class=\"p_cms_contents_title960\">記事追加ページ</div>";
  echo '<br class="clear_both">';
  echo "<p class=\"p_edit_guide\">　以下の項目を入力後、ページ下の「確認」をクリックしてください。</p>";
}else {
  echo "<div class=\"p_edit_title\">記事修正ページ</div>";
  echo '<br class="clear_both">';
  echo "<p class=\"p_edit_guide\">　以下の項目を修正後、ページ下の「確認」をクリックしてください。</p>";
}
// 記事管理メニューページで選択された記事のidでデータを読む。
if ($_SESSION['process'] == "upd") {			//記事管理メニューページから修正で遷移した場合
	$sql = "SELECT * FROM contents_news_data where (id = ". $_SESSION['sel_id']. " and news_page_id = ".$_SESSION["news_page_id"].")";
	//echo "sqledit=".$sql;
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
}
// タイトル画像
echo "<div class=\"item_title2\">タイトル画像</div>";
echo '<br class="clear_both">';
echo "<div class=\"p_header_title2\">　タイトル画像を設定する場合（省略可能）は[参照]をクリックしてＰＣ上の画像を選択後<br>
　[選択画像確認]をクリックてください（画像サイズは自動調整されます）。<br>
　表示されている現在の画像を省略する場合は[画像省略]をクリックしてください（直ちに反映されます）。</div>";
echo '<br class="clear_both">';
echo "<div class=\"p_current_img_area\">";
if ($_SESSION['process'] == "upd" && $row["news_img_file"] <> NULL) {
	$dsp_contents = $row["news_img_file"];
	echo "<div class=\"item_title2\">現在の画像</div><div class=\"p_current_img\"><img src=\"".$dsp_contents."\" class=\"p_img_property\" alt=\"イメージ\"></div>";
	
}else{
	echo "<div class=\"item_title2\">現在の画像</div><br>（なし）";
}
echo "</div>";
echo '<br class="clear_both">';

echo "<form action=\"cms_contents_news_edit_img_kakunin.php\" target=\"inline\" method=\"POST\" enctype=\"multipart/form-data\">";
echo "<div class=\"p_input_img\"><input type=\"file\" name=\"filename\" size=\"50\"></div>";	// value値は設定できない
echo '<br class="clear_both">';
echo "<div class=\"p_sel_img\"><input type=\"submit\" value=\"選択画像確認\"><br>";
echo "<iframe name=\"inline\" src=\"cms_contents_news_edit_img_kakunin.php\" frameborder=\"0\" marginheight=\"0\" marginwidth=\"0\" width=\"115\" height=\"76\" scrolling=\"auto\" allowtransparency=\"true\">";
echo "<p>このページではインラインフレームを使用しています。</p>";
echo "</iframe>";
echo "</div>";
echo "</form>";
echo '<br class="clear_both">';
echo "<div class=\"p_button_imgdel\">";
echo "<input type=\"submit\" value=\"画像省略\" onClick=\"location='cms_contents_news_img_undisp.php?id=".$row[id]."'\">";
echo "</div>";
echo '<br class="clear_both">';
echo '<br class="clear_both">';
// ヘッダー見出し
echo "<form action=\"./cms_contents_newskakunin.php?".$param."\" method=\"POST\">";
echo "<div class=\"p_header_title\">icon　年　　 月 　  日　　  時　　分　　　　　　</div>";
echo '<br class="clear_both">';
//iconの表示
echo "<div class=\"p_float_left\">";
if ($_SESSION['process'] == "add") {
	//記事追加
	echo "<img id=\"icon-img\" src=\"icons_dir/icon10.png\" width=15 alt=\"icon\" align=\"absmiddle\">";
	echo "<input id=\"icon-img2\" type=\"hidden\" name=\"iconimg\" value=\"icons_dir/icon10.png\">";
}else {
	//記事修正
	$dsp_iconimg = (isset($_SESSION['process'])) ? $row["title_icon_path"] : $_SESSION['iconimg'];
	//３項演算子。$_POST['process']が入っていないのは、確認ページから戻った場合。
  	echo "<img id=\"icon-img\" src=\"" . $dsp_iconimg . "\" width=15 alt=\"icon\" align=\"absmiddle\">";
	echo "<input id=\"icon-img2\" type=\"hidden\" name=\"iconimg\" value=" . $dsp_iconimg . ">";
}
echo "</div>";
//現在時刻をセット。
$time 		= time();
$array_time = explode('-', date('Y-m-d-H-i-s', $time));
$def_year 	= $array_time[0];
$def_month 	= $array_time[1];
$def_day 	= $array_time[2];
$def_ji 	= $array_time[3];
$def_hun 	= $array_time[4];

if ($_GET['modoru']) {								// 確認画面から戻った場合
	$year	= $_SESSION['year_input'];
	$month	= $_SESSION['month_input'];
	$day	= $_SESSION['day_input'];
	$ji		= $_SESSION['ji_input'];
	$hun	= $_SESSION['hun_input'];
	$dsp_news_title 	= $_SESSION['news_title_input'];
	$dsp_news_contents 	= $_SESSION['news_contents_input'];
} else
if ($_SESSION['process'] == "upd") {				// 修正の場合
	//DB上の日付をセット（修正時用）
	//echo "修正";
	$year	= $row["news_date_year"];
	$month	= $row["news_date_month"];
	$day	= $row["news_date_day"];
	$ji		= $row["news_date_hour"];
	$hun	= $row["news_date_minute"];
	$dsp_news_title 	= $row["news_title"]; 	
	$dsp_news_contents 	= $row["news_contents"];
} else
if ($_SESSION['process'] == "add") {				// 追加の場合
	$year	= $def_year;
	$month	= $def_month;
	$day	= $def_day;
	$ji		= $def_ji ;
	$hun	= $def_hun;
	$dsp_news_title 	= "";
	$dsp_news_contents 	= "";
}
// 年をセレクト入力
if ($_GET['modoru']) {
	$style1 			= 'style="color:'.$_SESSION['title_font_color1_input'].';"';
	$color_value1 	= $_SESSION['title_font_color1_input'];
}else
if ($_GET['proc'] == "upd") {
	$style1 		= 'style="color:'.$row["title_font_color1"].';"';
	$color_value1 	= $row["title_font_color1"];
}else{
	$style1 = 'style="color:#333333;"';
	$color_value1 	= "#333333";
}
echo "<div class=\"p_float_left\">";
echo "<select name=\"year_input\" value=\"$year\" $style1>";
echo "<option value=\"$year\">$year</option>";
echo "<option value=\"2011\">2011</option><option value=\"2012\">2012</option>";
echo "<option value=\"2013\">2013</option><option value=\"2014\">2014</option>";
echo "<option value=\"2015\">2015</option><option value=\"2016\">2016</option>";
echo "<option value=\"2017\">2017</option><option value=\"2018\">2018</option>";
echo "<option value=\"2019\">2017</option><option value=\"2020\">2018</option>";
echo "<option value=\"2021\">2021</option><option value=\"2022\">2022</option>";
echo "<option value=\"2023\">2023</option><option value=\"2024\">2024</option>";
echo "<option value=\"2025\">2025</option><option value=\"2026\">2026</option>";
echo "<option value=\"2027\">2027</option><option value=\"2028\">2028</option>";
echo "<option value=\"2029\">2029</option><option value=\"2030\">2030</option>";
echo "<option value=\"2031\">2031</option><option value=\"2032\">2032</option>";
echo "<option value=\"2033\">2033</option><option value=\"2034\">2034</option>";
echo "<option value=\"2035\">2035</option><option value=\"2036\">2036</option>";
echo "<option value=\"2037\">2037</option><option value=\"2038\">2038</option>";
echo "<option value=\"2039\">2039</option><option value=\"2040\">2040</option>";
echo "<option value=\"2041\">2041</option><option value=\"2042\">2042</option>";
echo "<option value=\"2043\">2043</option><option value=\"2044\">2044</option>";
echo "<option value=\"2045\">2045</option><option value=\"2046\">2046</option>";
echo "<option value=\"2047\">2047</option><option value=\"2048\">2048</option>";
echo "<option value=\"2049\">2049</option><option value=\"2050\">2050</option>";
echo "</select></div>";
// 月をセレクト入力
echo "<div class=\"p_float_left\" $style1>";
//記事修正の場合は、DB上の日付（月）を表示
echo "<select name=\"month_input\" value=\"$month\">";
echo "<option value=\"$month\">$month</option>";
echo "<option value=\"01\">01</option><option value=\"02\">02</option>";
echo "<option value=\"03\">03</option><option value=\"04\">04</option>";
echo "<option value=\"05\">05</option><option value=\"06\">06</option>";
echo "<option value=\"07\">07</option><option value=\"08\">08</option>";
echo "<option value=\"09\">09</option><option value=\"10\">10</option>";
echo "<option value=\"11\">11</option><option value=\"12\">12</option>";
echo "</select></div>";
// 日をセレクト入力
echo "<div class=\"p_float_left\" $style1>";
//記事修正の場合は、DB上の日付（日）を表示
echo "<select name=\"day_input\" value=\"$day\">";
echo "<option value=\"$day\">$day</option>";
echo "<option value=\"01\">01</option><option value=\"02\">02</option>";
echo "<option value=\"03\">03</option><option value=\"04\">04</option>";
echo "<option value=\"05\">05</option><option value=\"06\">06</option>";
echo "<option value=\"07\">07</option><option value=\"08\">08</option>";
echo "<option value=\"09\">09</option><option value=\"10\">10</option>";
echo "<option value=\"11\">11</option><option value=\"12\">12</option>";
echo "<option value=\"13\">13</option><option value=\"14\">14</option>";
echo "<option value=\"15\">15</option><option value=\"16\">16</option>";
echo "<option value=\"17\">17</option><option value=\"18\">18</option>";
echo "<option value=\"19\">19</option><option value=\"20\">20</option>";
echo "<option value=\"21\">21</option><option value=\"22\">22</option>";
echo "<option value=\"23\">23</option><option value=\"24\">24</option>";
echo "<option value=\"25\">25</option><option value=\"26\">26</option>";
echo "<option value=\"27\">27</option><option value=\"28\">28</option>";
echo "<option value=\"29\">29</option><option value=\"30\">30</option>";
echo "<option value=\"31\">31</option>";
echo "</select></div>";
// 時をセレクト入力
echo "<div class=\"p_float_left\" $style1>";
//記事修正の場合は、DB上の日付（時）を表示
echo "<select name=\"ji_input\" value=\"$ji\">";
echo "<option value=\"$ji\">$ji</option>";
echo "<option value=\"00\">00</option><option value=\"01\">01</option>";
echo "<option value=\"02\">02</option><option value=\"03\">03</option>";
echo "<option value=\"04\">04</option><option value=\"05\">05</option>";
echo "<option value=\"06\">06</option><option value=\"07\">07</option>";
echo "<option value=\"08\">08</option><option value=\"09\">09</option>";
echo "<option value=\"10\">10</option><option value=\"11\">11</option>";
echo "<option value=\"12\">12</option><option value=\"13\">13</option>";
echo "<option value=\"14\">14</option><option value=\"15\">15</option>";
echo "<option value=\"16\">16</option><option value=\"17\">17</option>";
echo "<option value=\"18\">18</option><option value=\"19\">19</option>";
echo "<option value=\"20\">20</option><option value=\"21\">21</option>";
echo "<option value=\"22\">22</option><option value=\"23\">23</option>";
echo "</select></div>";

// 分をセレクト入力
echo "<div class=\"p_float_left\" $style1>";
//記事修正の場合は、DB上の日付（分）を表示
echo "<select name=\"hun_input\" value=\"$hun\">";
echo "<option value=\"$hun\">$hun</option>";
echo "<option value=\"00\">00</option><option value=\"01\">01</option>";
echo "<option value=\"02\">02</option><option value=\"03\">03</option>";
echo "<option value=\"04\">04</option><option value=\"05\">05</option>";
echo "<option value=\"06\">06</option><option value=\"07\">07</option>";
echo "<option value=\"08\">08</option><option value=\"09\">09</option>";
echo "<option value=\"10\">10</option><option value=\"11\">11</option>";
echo "<option value=\"12\">12</option><option value=\"13\">13</option>";
echo "<option value=\"14\">14</option><option value=\"15\">15</option>";
echo "<option value=\"16\">16</option><option value=\"17\">17</option>";
echo "<option value=\"18\">18</option><option value=\"19\">19</option>";
echo "<option value=\"20\">20</option><option value=\"21\">21</option>";
echo "<option value=\"22\">22</option><option value=\"23\">23</option>";
echo "<option value=\"24\">24</option><option value=\"25\">25</option>";
echo "<option value=\"26\">26</option><option value=\"27\">27</option>";
echo "<option value=\"28\">28</option><option value=\"29\">29</option>";
echo "<option value=\"30\">30</option><option value=\"31\">31</option>";
echo "<option value=\"32\">32</option><option value=\"33\">33</option>";
echo "<option value=\"34\">34</option><option value=\"35\">35</option>";
echo "<option value=\"36\">36</option><option value=\"37\">37</option>";
echo "<option value=\"38\">38</option><option value=\"39\">39</option>";
echo "<option value=\"40\">40</option><option value=\"41\">41</option>";
echo "<option value=\"42\">42</option><option value=\"43\">43</option>";
echo "<option value=\"44\">44</option><option value=\"45\">45</option>";
echo "<option value=\"46\">46</option><option value=\"47\">47</option>";
echo "<option value=\"48\">48</option><option value=\"49\">49</option>";
echo "<option value=\"50\">50</option><option value=\"51\">51</option>";
echo "<option value=\"52\">52</option><option value=\"53\">53</option>";
echo "<option value=\"54\">54</option><option value=\"55\">55</option>";
echo "<option value=\"56\">56</option><option value=\"57\">57</option>";
echo "<option value=\"58\">58</option><option value=\"59\">59</option>";
echo "</select></div>";
if ($_GET['modoru']) {
	$style2 			= 'style="color:'.$_SESSION['title_font_color2_input'].';"';
	$color_value2 	= $_SESSION['title_font_color2_input'];
}else
if ($_GET['proc'] == "upd") {
	$style2 			= 'style="color:'.$row["title_font_color2"].';"';
	$color_value2 	= $row["title_font_color2"];
}else{
	$style2 = NULL;
	$color_value2 	= "#333333";
}
$checked1 = NULL;
if ($row["title_font_bold1"]) $checked1 = "checked";
if ($_GET['modoru']) {
	if ($_SESSION['title_font_bold1_input']) $checked1 = "checked";
}
echo '<div class="p_news_edit_line"><div id="wColorPicker4" class="hoverBox" style="position:absolute;top:24px;z-index:5000;"></div><input type="text" name="title_font_color1_input" id="title_font_color1_input" value="'.$color_value1.'" size="8"> 日時カラーコード（FF0000等）<input type="checkbox" name="title_font_bold1_input" value="1" '.$checked1.'>太字</div>';
echo '<br class="clear_both">';

echo '<div class="p_news_edit_line" style="margin-top:5px;">タイトル <input name="news_title_input" value="'.$dsp_news_title.' "type="text" size="50"></div>';	//タイトルエリアの長さはsizeで指定
$checked2 = NULL;
if ($row["title_font_bold2"]) $checked2 = "checked";
if ($_GET['modoru']) {
	if ($_SESSION['title_font_bold2_input']) $checked2 = "checked";
}

echo '<div class="p_news_edit_line"><div id="wColorPicker5" class="hoverBox" style="position:absolute;top:24px;z-index:5000;"></div><input type="text" name="title_font_color2_input" id="title_font_color2_input" value="'.$color_value2.'" size="8" '.$style2.'> タイトルカラーコード（FF0000等）<input type="checkbox" name="title_font_bold2_input" value="1" '.$checked2.'>太字<br>
　※カラーピッカーをクリックするか直接カラーコードを入力してください。</div>';
echo '<br class="clear_both">';

// 記事内容を表示する。
echo "<div class=\"p_edit_guide2\">　※ここで指定した年月日時分以降に記事が表示されます。（予約登録が可能です。）<br>　※時分はホームページ上には表示されません。<br><br></div>";
echo '<br class="clear_both">';
echo "<div class=\"p_header_title2\">　記事内容  　　（<a href=\"javascript:helppopup();\"><img src=\"images/help.gif\" width=\"20\" height=\"20\" alt=\"ヘルプ\"  class=\"help_icon\"></a>をクリックすると各ボタンの説明ページが表示されます。）</div>";
if ($_GET["editerr"]) {
	echo '<div class="errmsg">'.$_SESSION["editerrmsg"].'</div>';
	echo '<br class="clear_both">';
}
$settings["fontsize"]				= 1;	// 【文字サイズ】ボタンを表示する。（1：表示、0：非表示）
$settings["fontname"]				= 1;	// 【フォント種類】ボタンを表示する。（1：表示、0：非表示）
$settings["bold"]					= 1;	// 【太字】ボタンを表示する。（1：表示、0：非表示）
$settings["underline"]				= 1;	// 【下線】ボタンを表示する。（1：表示、0：非表示）
$settings["strikethrough"]			= 1;	// 【消し線】ボタンを表示する。（1：表示、0：非表示）
$settings["forecolor"]				= 1;	// 【文字色】ボタンを表示する。（1：表示、0：非表示）
$settings["backcolor"]				= 1;	// 【文字背景色】ボタンを表示する。（1：表示、0：非表示）
$settings["justifycenter"]			= 1;	// 【中央揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyleft"]			= 1;	// 【左寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyright"]			= 1;	// 【右寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyfull"]			= 1;	// 【両端揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["indent"]					= 1;	// 【字下げ】ボタンを表示する。（1：表示、0：非表示）
$settings["outdent"]				= 1;	// 【字上げ】ボタンを表示する。（1：表示、0：非表示）
$settings["chk_icon"]				= 1;	// 【チェックアイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["icon"]					= 1;	// 【絵文字・アイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["picture"]				= 1;	// 【パソコン内の画像挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["hyperlink"]				= 1;	// 【リンクＵＲＬ挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["banner"]					= 1;	// 【バナー/アフィリエイトリンク/２ティアリンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["kessai"]					= 1;	// 【インフォトップ決済リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["imglink"]				= 1;	// 【画像リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["pdflink"]				= 0;	// 【ＰＤＦ＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["ziplink"]				= 0;	// 【zip＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["youtube"]				= 1;	// 【YouTube動画挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["table"]					= 1;	// 【表挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["mailform"]				= 1;	// 【問合せフォーム】ボタンを表示する。（1：表示、0：非表示）
$settings["shop"]					= 0;	// 【ネットショップ商品挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["sns"]					= 0;	// 【ＳＮＳボタン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["gmap"]					= 0;	// 【地図(GoogleMap)挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["area_color"]				= 1;	// 【全体背景色設定】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_all"]				= 1;	// 【編集エリア全クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_select_format"]	= 1;	// 【選択文字の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_format"]			= 1;	// 【全文字列の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["help"]					= 1;	// 【ヘルプ】ボタンを表示する。（1：表示、0：非表示）
$contents			= $dsp_news_contents;
$textarea_name 		= "news_contents_input";		// POST先で$_POST["contents_title_input"]で受け取る
$submit_id1 		= "confirm1";			// submitボタン（確認ボタン）のidセレクター（存在しない場合はダミーのNULLを指定する）
$submit_id2 		= NULL;					// submitボタンが２つある場合（保存ボタン）、２つ目のidセレクター（存在しない場合はダミーのNULLを指定する）
$area_width 		= 914;				// 編集エリアの横幅（px値）
$min_height			= 324;					// 編集エリアの縦幅の最小値（px値）
$default_font_size	= 14;					// 編集エリアの中身の文字の初期サイズ（px値）
editor($settings, $contents, $textarea_name, $submit_id1, $submit_id2, $area_width, $min_height, $default_font_size);
if ($_GET['modoru']) {								// 確認画面から戻った場合
	if ($_SESSION['like_button_input'] == "1") {
		$like_check1	= "checked";
		$like_check2	= NULL;
	}else{
		$like_check1	= NULL;
		$like_check2	= "checked";
	}
	if ($_SESSION['share_button_input'] == "1") {
		$share_check1	= "checked";
		$share_check2	= NULL;
	}else{
		$share_check1	= NULL;
		$share_check2	= "checked";
	}
	if ($_SESSION['comment_input'] == "1") {
		$comment_check1	= "checked";
		$comment_check2	= NULL;
		$comment_check3	= NULL;
	}else
	if ($_SESSION['comment_input'] == 2) {
		$comment_check1	= NULL;
		$comment_check2	= "checked";
		$comment_check3	= NULL;
	}else{
		$comment_check1	= NULL;
		$comment_check2	= NULL;
		$comment_check3	= "checked";
	}
	if ($_SESSION['tweet_button_input'] == "1") {
		$tweet_check1	= "checked";
		$tweet_check2	= NULL;
	}else{
		$tweet_check1	= NULL;
		$tweet_check2	= "checked";
	}
	if ($_SESSION['google_button_input'] == "1") {
		$google_check1	= "checked";
		$google_check2	= NULL;
	}else{
		$google_check1	= NULL;
		$google_check2	= "checked";
	}
	
} else
if ($_SESSION['process'] == "upd") {				// 修正の場合
	$sns_btn_kbn = $row["sns_btn_kbn"];
	$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
	$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
	$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
	$fb_share_btn_umu 	= ($sns_btn_kbn/1000)%10;	// 3桁目（google+ボタン表示有無）
	if ($facebook_btn_umu == "1") {
		$like_check1	= "checked";
		$like_check2	= NULL;
	}else{
		$like_check1	= NULL;
		$like_check2	= "checked";
	}
	if ($fb_share_btn_umu == "1") {
		$share_check1	= "checked";
		$share_check2	= NULL;
	}else{
		$share_check1	= NULL;
		$share_check2	= "checked";
	}
	if ($tweet_btn_umu == "1") {
		$tweet_check1	= "checked";
		$tweet_check2	= NULL;
	}else{
		$tweet_check1	= NULL;
		$tweet_check2	= "checked";
	}
	if ($google_btn_umu == "1") {
		$google_check1	= "checked";
		$google_check2	= NULL;
	}else{
		$google_check1	= NULL;
		$google_check2	= "checked";
	}
	if ($row['comment_kbn'] == "1") {
		$comment_check1	= "checked";
		$comment_check2	= NULL;
		$comment_check3	= NULL;
	}else
	if ($row['comment_kbn'] == "2") {
		$comment_check1	= NULL;
		$comment_check2	= "checked";
		$comment_check3	= NULL;
	}else{
		$comment_check1	= NULL;
		$comment_check2	= NULL;
		$comment_check3	= "checked";
	}
	
} else
if ($_SESSION['process'] == "add") {				// 追加の場合
	$like_check1	= "checked";
	$like_check2	= NULL;
	$share_check1	= "checked";
	$share_check2	= NULL;
	$tweet_check1	= "checked";
	$tweet_check2	= NULL;
	$google_check1	= "checked";
	$google_check2	= NULL;
	// contents_news_pageを読み、コメント受付初期チェック表示(comment_init_chk)を取得する。
	if (isset($_GET["news_page_id"])) {
		$sql = "SELECT * FROM contents_news_page where id=".$_GET["news_page_id"];
		//echo '<br>$sql='.$sql;	// test
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowp = $stmt->fetch(PDO::FETCH_ASSOC)) {
			if ($rowp['comment_init_chk'] == "1") {
				$comment_check1	= "checked";
				$comment_check2	= NULL;
				$comment_check3	= NULL;
			}else
			if ($rowp['comment_init_chk'] == "2") {
				$comment_check1	= NULL;
				$comment_check2	= "checked";
				$comment_check3	= NULL;
			}else
			if ($rowp['comment_init_chk'] == "0") {
				$comment_check1	= NULL;
				$comment_check2	= NULL;
				$comment_check3	= "checked";
			}else{										// コメント受付初期チェック表示(comment_init_chk)が設定されていない場合
				$comment_check1	= NULL;
				$comment_check2	= "checked";
				$comment_check3	= NULL;
			}
		}else{
				$comment_check1	= NULL;
				$comment_check2	= NULL;
				$comment_check3	= "checked";
		}
	}else{
		$comment_check1	= NULL;
		$comment_check2	= "checked";
		$comment_check3	= NULL;
	}
}
echo "<div class=\"facebook_button\"><img src=\"img/button/tweet.png\" alt=\"icon\" align=\"absmiddle\">
			<input type=\"radio\" name=\"tweet_button_input\" value=\"1\"". $tweet_check1.">表示する
          	<input type=\"radio\" name=\"tweet_button_input\" value=\"0\"". $tweet_check2.">しない";
echo "</div>";
echo '<br class="clear_both">';
echo "<div class=\"facebook_button\"><img src=\"img/button/like_button.png\" alt=\"icon\" align=\"absmiddle\">
			<input type=\"radio\" name=\"like_button_input\" value=\"1\"". $like_check1.">表示する
          	<input type=\"radio\" name=\"like_button_input\" value=\"0\"". $like_check2.">しない";
echo "</div>";
echo '<br class="clear_both">';
echo "<div class=\"facebook_button\"><img src=\"img/button/share_button.png\" alt=\"icon\" align=\"absmiddle\">
			<input type=\"radio\" name=\"share_button_input\" value=\"1\" ". $share_check1.">表示する
          	<input type=\"radio\" name=\"share_button_input\" value=\"0\" ". $share_check2.">しない";
echo "</div>";

echo '<br class="clear_both">';
echo "<div class=\"facebook_button\"><span class=\"comment_color\">コメント　</span>
			<input type=\"radio\" name=\"comment_input\" value=\"1\"". $comment_check1.">受付可　
          	<input type=\"radio\" name=\"comment_input\" value=\"2\"". $comment_check2.">承認後表示　
          	<input type=\"radio\" name=\"comment_input\" value=\"0\"". $comment_check3.">受付しない";
echo "</div>";
echo "<br class=\"clear_both\"><br>";
echo "<div class=\"btn\"><input type=\"submit\" id=\"confirm1\"value=\"確認\" name=\"proc\"></div>";
echo "<div class=\"btn\"><input type=\"button\" value=\"戻る\" onClick=\"window.open('about:blank','_self').close();\"></div>";
?>
</form>
</div>
<br class="clear_both"><br><br>
<script type="text/javascript">window.focus();</script>
<script type="text/javascript">resizeTo(1200,1040);</script>
</body>
</html>
