<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	//*******************************
	// 情報採取
	//*******************************
	// 送信用情報をセット
	$mail_addr     = $_SESSION['login_name'];                   // 宛て先アドレス
	// お問い合わせタイトル、詳細のセット
	$send_title ='【Finelp】不正アクセス';
	// 日本語（SJIS）の指定
	mb_language('ja');
	mb_internal_encoding('UTF-8');
	// Fromアドレスの設定（自動送信 送信元のアドレス）
	$name = '自動送信';
	$email = 'auto';
	$send_header = 'From: '. mb_encode_mimeheader($name) . '<' . $email .'>';
	// メール本文の編集
	$honbun = NULL;
	// 荒らし対策として接続元情報を採取する。
	//REMOTE_HOSTがなければgethostbyaddrで取得
	if (!isset($_SERVER['REMOTE_HOST']) || $_SERVER['REMOTE_HOST'] == '') {
		$_SERVER['REMOTE_HOST'] = gethostbyaddr($_SERVER['REMOTE_ADDR']);
	}
	$honbun = $honbun."【接続元情報】\n";
	$honbun = $honbun."IPアドレス　　　　　:".$_SERVER['REMOTE_ADDR']."\n";
	$honbun = $honbun."ホスト名　　　　　　:".$_SERVER['REMOTE_HOST']."\n";
	$honbun = $honbun."ポート番号　　　　　:".$_SERVER['REMOTE_PORT']."\n";
	$honbun = $honbun."ユーザーエージェント:".$_SERVER['HTTP_USER_AGENT']."\n";
	$honbun = $honbun."参照ページアドレス　:".$_SERVER['HTTP_REFERER']."\n";
	$honbun = $honbun."言語　　　　　　　　:".$_SERVER['HTTP_ACCEPT_LANGUAGE']."\n";
	$honbun = $honbun."コネクションヘッダ　:".$_SERVER['HTTP_CONNECTION']."\n\n\n";
	$honbun = $honbun."不正アクセスがありました！\n\n";
	$result = mb_send_mail($mail_addr, $send_title, $honbun, $send_header);
	echo '
	<!DOCTYPE html>
	<html>
	<head>
	<meta charset="UTF-8" >
	<title>アクセスが拒否されました！</title>
	</head>
	<body>
	アクセスが拒否されました！
	</body>
	</html>';
?>