<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	session_start();
	if ($mode==1 && !$_GET["preview"]) {
		// 不正アクセスチェック
		require_once 'cms_access_check.php';
		// ログインチェック
		require_once 'check_login_message.php';
	}
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';				// ＤＢファイルのロックを防止するため、PayPal IPNで更新するテーブルは別ファイルとする。
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$conn2 		= init_sqlite2();
	
	$php_path_array = explode( '/', user_domain().$_SERVER["SCRIPT_NAME"]);
	$cnt			= count($php_path_array);
	$php_path		= NULL;
	for($i=0;$i<$cnt-1;$i++){
		$php_path .= $php_path_array[$i]."/";
	}
	$url_path		= $php_path .= $php_path_array[$cnt-1];
	
	$menu_kbn				= 1;
	$_SESSION["menu_kbn"] 	= $menu_kbn;
	$btn_id					= 1;
	$_SESSION["btn_id"] 	= $btn_id;
	
	$contents_mng = false;
	$_SESSION["area_width"] = 0;
	$root					= 1;	// トップページ（indexページ）
	$preview				= $_GET["preview"];
	if ($mode == NULL && $mode <> 0) $mode = $_GET["mode"];
	$uri_param = explode( '?', $_SERVER['REQUEST_URI'] );
	$contents_mng = false;
	$_SESSION["area_width"] = 0;
	
	$uri_param = explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["req_uri_page_for_side_ctrl"] = $uri_param[0]."?mode=1";
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["index_edit"] = $uri_param[0]."?mode=".$_GET["mode"];
	$_SESSION["req_uri_page"] = $_SERVER['REQUEST_URI'];
	$dv_width = 960;
	if ($_GET["mode"] == "1" || $_GET["mode"] == "2" || $_GET["preview"] == "1") {
		$hp_ref  = "";
	}else{
		$hp_ref  = "hp_ref/";
	}
	$mode = $_GET["mode"];
echo "<!DOCTYPE html>";
echo "<html>";
echo "<head>";
echo '<meta charset="UTF-8" >';
include("cms_parts_seo.php");
echo'<meta name="viewport" content="width=device-640px, initial-scale=1, maximum-scale=3 user-scalable=yes">';	// <!--iPad、iPhoneでヘッダー、フッダーの幅はここで指定したwidthになる-->'; 
echo '<link href="'.$hp_ref.'cssfiles/common.css" rel="stylesheet" type="text/css">';
echo '<link href="'.$hp_ref.'cssfiles/cms_common.css" rel="stylesheet" type="text/css">';
echo '<link href="'.$hp_ref.'cssfiles/index.css" rel="stylesheet" type="text/css">';
echo '<link href="'.$hp_ref.'cssfiles/cms_index_contents_mng.css" rel="stylesheet" type="text/css">';
echo '<link href="'.$hp_ref.'cssfiles/cms_manager.css" rel="stylesheet" type="text/css">';
echo '<link href="'.$hp_ref.'cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">';
// スライド動画１の小窓の幅を設定
$sqlw = "SELECT count(*) cnt FROM img_slide1";
$stmt = $conn->prepare($sqlw);
$stmt->execute();
$roww = $stmt->fetch(PDO::FETCH_ASSOC);
$img_cntw = $roww["cnt"];
if ($img_cntw > 0) echo "<link href=\"".$hp_ref."cssfiles/p_small_area_w$img_cntw.css\" rel=\"stylesheet\" type=\"text/css\">";
//住所自動入力用
echo '<script type="text/javascript" src="'.$hp_ref.'ajaxzip2/jquery.js"></script>';
echo '<script type="text/javascript" src="'.$hp_ref.'ajaxzip2/ajaxzip2.js" charset="UTF-8"></script>';
echo '<script type="text/javascript">';
    // AjaxZip2.JSONDATA = dataを設置した相対または絶対パス;
echo '    AjaxZip2.JSONDATA = \''.$hp_ref.'ajaxzip2/data\'';
echo '</script>';
include("cms_parts_page_head_common1.php");
echo '<script type="text/javascript" src="'.$hp_ref.'js/cms_edit.js"></script>';

echo '<style>';
	echo ".edit_area1 a:link{";
	echo "text-decoration: underline;";
	echo "}";
echo '</style>';
// 動画スライド１用
$sql = "SELECT count(*) cnt FROM img_slide1";
$stmt = $conn->prepare($sql);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$img_cnt = $row["cnt"];

// 動画スライド１テーブル拡張設定データを読み、表示形式(dsp_form)を取得する。
$sql = "SELECT * FROM img_slide1_op1";
$stmt = $conn->prepare($sql);
$stmt->execute();
$rowop = $stmt->fetch(PDO::FETCH_ASSOC);
	
if ($rowop["dsp_form"] == 0) {				// 0:中央スライドのみ表示
	echo "<script type=\"text/javascript\" src=\"".$hp_ref."js/carousel_slide1_n.js\"></script>"; //<!-- carousel2.jsの前に置くと、carousel2.jsが実行されない -->
	echo "<script type=\"text/javascript\">slide1($img_cnt);</script>";					// $row[cnt]は1～4であること
}else{										// 1：前後スライドを表示
	echo "<script type=\"text/javascript\" src=\"".$hp_ref."js/carousel1_2.js\"></script>";
}
echo '<script type="text/javascript" src="'.$hp_ref.'jQuery/jquery-migrate-1.2.1.min.js"></script>';
echo '<script type="text/javascript" src="'.$hp_ref.'js/floater_contents.js"></script>';
if ($preview) {
	echo "<script>";
	echo "alert(\"プレビュー画面を閉じるときは、ブラウザーの閉じるボタン[×]をクリックしてください。\")";
	echo "</script>";
}
echo '</head>';

echo '<body>';
echo '<div class="wrap">';
include("facebook_code_basic.php");
echo '<noscript>
<div class="p_alert">恐れ入りますが、ご利用のブラウザでJavaScript（アクティブスクリプト）が無効になっているためご利用できません。<br>
お手数をおかけいたしますがブラウザの設定でJavaScript（アクティブスクリプト）を有効にしてからご利用ください。</div>
</noscript>';
//<!-- ヘッダー start -->
if (!$_GET["preview"] && ($mode==1)) {
	echo '<div id="container_cms">';
	$logout 		= false;
	$cms_manager 	= false;
	include("./cms_parts_header.php");
	echo "</div>";
}
echo '<div id="container_index">';
//<!-- ヘッダー end -->
if ($_GET["preview"]) {
	$edit = 3;
} else {
	$edit = $mode;
}
$root = 1;
header_dsp($conn, $mode, $edit, $root);
echo '<div id="mainarea_index"><!-- メインコンテンツ start -->';
if (!$preview && ($mode==1)) {
	echo '<a href="'.$http_url.'cms_slide1_mng.php?mode=1" target="_blank">';
	echo '<div class="edit_slide">';
	$_SESSION["slide1_edit"] = false;		// cms_slide1_edit.phpの中で「true」にしている。
	echo "スライド動画１編集";
	echo "</div>";
	echo '</a>';
}
//<!-- 動画スライド１表示 start -->
if ($img_cnt > 0) {
	//echo '$rowop["dsp_form"]='.$rowop["dsp_form"];	// debug
	if ($rowop["dsp_form"] == 0) {			// 0:中央スライドのみ表示
		include("index_slide1.php");
	}else{											// 1：前後スライドを表示
		include("index_slide1_2.php");
	}
}
$_SESSION["adderrmsg"]	= NULL;	// 初期化
if (!$_GET["err"]) $_SESSION['errmsg']		= NULL;	// 初期化
$_SESSION["blog_page"]	= false;
if ($mode <> 0) {
	if (isset($_SESSION['errmsg']) || $_GET["err"]) {
		echo '<div class="errmsg">'.$_SESSION['errmsg'].'</div>';
		echo '<br class="clear_both">';
	}
}
if (!$preview && ($mode==1)) {
	echo "<div class=\"edit_sidearea\">";
	echo '<a href="cms_background_mng.php?hashname=sidearea_design" target="_blank"><div class="edit" style="width:170px;">両サイド背景設定</div></a>';
	echo "</div>";
}
echo "<div id=\"contents_mainarea\">";//<!-- メインコンテンツ start -->
$sql = "SELECT * FROM top_page_sns_btn WHERE (top_dsp_kbn = 1)";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($rowsns = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$sns_btn_kbn		= $rowsns["sns_btn_kbn"];
	$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
	$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
	$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
	$fb_share_btn_umu	= ($sns_btn_kbn/1000)%10;	// 3桁目（シェアボタン表示有無）
	echo '<div class="sns_btn">';
	if ($tweet_btn_umu) {echo '<div class="facebook-button" style="margin-top:4px;"><a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$url_path.'" data-text="'.$url_path.'" data-lang="ja">ツイート</a></div>';}
	if ($facebook_btn_umu) {echo '<div class="facebook-button"><div class="fb-like" data-href="'.$url_path.'" data-send="false" data-layout="button_count" data-width="487" data-show-faces="false"></div></div>';}	// facebookプラグイン（いいね！ボタン）
	if ($fb_share_btn_umu) {echo '<div class="facebook-button"><div class="fb-share-button" data-href="'.$url_path.'" data-send="false" data-layout="button_count" data-width="487" data-show-faces="false"></div></div>';}	// facebookプラグイン（シェアボタン）
	if ($google_btn_umu) {echo '<div class="facebook-button" style="margin-top:4px;"><g:plusone size="medium" href="'.$url_path.'"></g:plusone></div>';}	// google+ボタン
	echo '</div>';
	echo "<br class=\"clear_both\">";
}
if (!$preview && ($mode==1)) {
	$sql = "SELECT * FROM section WHERE (section_form = 99)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if(!$row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		echo '<br class="clear_both">';
		echo "<div class=\"edit_section\">";
		echo "<input type=\"button\" value=\"目次追加\" class=\"edit_big\" onClick=\"window.open('cms_index_contents_mng_section_mokuji_set_dbsave.php?mode=1&proc=dbadd','目次追加','width=1020,height=900,resizable=1,left=300,top=50,resizable=1,location=0,menubar=0,toolbar=0,scrollbars=1') ; return false ;\">";
		echo "</div>";
		echo '<br class="clear_both">';
	}
}
include("cms_index_contents_mng_parts_array_set.php");
// sectionが追加されているかを確認する。
$section_proc = "add";
$sqlsec = "SELECT * FROM section ORDER BY orderno ASC";
$stmtsec = $conn->prepare($sqlsec);
$stmtsec->execute();
while ($rowsec = $stmtsec->fetch(PDO::FETCH_ASSOC)) {
	$section_id		= $rowsec["id"];
	$section_form	= $rowsec["section_form"];
	$sec_width 		= $dv_width;
	
	if ($_GET["mode"] == 1) echo '<div style="position:relative;padding:0px;">';	// 表示順位変更ボタンの親要素
	if ($_GET["mode"] == 1) {
		// 表示順位変更ボタン
		if ($rowsec["section_border_width"] > 0) {
			$style_up_down	= 'style="float:left;left:-20px;"';
		}else{
			$style_up_down	= 'style="float:left;left:-20px;"';
		}
		echo '<div class="p_up_down" '.$style_up_down.'>';
		echo '<a href="cms_index_contents_section_ctrl.php?proc=up&section_id='.$section_id.'" title="上に移動"><img src="'.$hp_ref.'img/button/btn_up.png" height="18" hspace="1" vspace="2" alt="right" style="vertical-align:bottom;"></a>';
		echo '<a href="cms_index_contents_section_ctrl.php?proc=down&section_id='.$section_id.'" title="下に移動"><img src="'.$hp_ref.'img/button/btn_down.png" height="18" hspace="1" vspace="2" alt="left" style="vertical-align:bottom;"></a>';
		echo '</div>';
	}
	// セクションの背景色、外枠の色太さをセット
	$style_section = ' style="position:relative;min-height:0px;min-width:0px;text-align:left;line-height:normal;float:left;padding-left:'.$rowsec["padding_left"].'px;padding-top:'.$rowsec["padding_top"].'px;padding-right:'.$rowsec["padding_right"].'px;padding-bottom:'.$rowsec["padding_bottom"].'px;';
	if ($rowsec["section_border_width"] > 0) {
		$style_section 	= $style_section.'width:'.$sec_width.'px;border-width:'.$rowsec["section_border_width"].'px;border-style:'.$rowsec["section_border_style"].';border-color:'.$rowsec["section_border_color"].';background-color:'.$rowsec["section_bk_color"].';"';
		$section_border_width = $rowsec["section_border_width"];
	}else{
		$style_section 	= $style_section.'background-color:'.$rowsec["section_bk_color"].';"';
		$section_border_width = 0;
	}
	$data_ari = false;
	// セクションタイトルを表示
	$section_title_ari = false;
	if ($rowsec["section_title"] <> NULL || ($rowsec["title_img_no"] <> NULL && $rowsec["title_img_no"] <> 0)) $section_title_ari = true;
	if ($section_title_ari) {
		if ($rowsec["dsp_form"] == 2 && $_GET["mode"] <> 1) {
			$title 				= 'title="クリックで内容表示切替"';
			$style_plus_minus	= 'style="position:absolute;top:8px;left:-20px;width:16px;height:16px;margin:0px;padding:0px;text-indent:0px;float:left;"';
			$dsp_plus_minus		= '<div id="section_contents_open_top'.$section_id.'" '.$style_plus_minus.'>
			<img src="'.$hp_ref.'img/button/simple_plus.png" height="16" class="section_contents_open_plus'.$section_id.'" hspave="0" vspave="0" alt="＋">
			<img src="'.$hp_ref.'img/button/simple_minus.png" height="16" class="section_contents_open_minus'.$section_id.'" hspave="0" vspave="0" alt="－"></div>';
		}else{
			$title 				= NULL;
			$dsp_plus_minus		= NULL;
		}
		// セクションタイトルstyle設定
		include 'cms_index_contents_section_common_parts_page_title_mng.php';		// タイトル位置調整（$style_titleセット）
		$dsp_contents = link_rel_to_abs($rowsec["section_title"]);
		if ($_GET["mode"] == 1) $dsp_contents = atag_strip($dsp_contents);
		$title_img_no = $rowsec["title_img_no"];
		if ($_GET["mode"] == 1) echo '<a href="cms_index_contents_mng_section.php?mode=1&section_proc=upd&section_id='.$rowsec["id"].'" target="_new" title="セクション修正"><div>';
		if ($_GET["mode"] <> 1) {
			$a_name_start	= '<a name="section_link_'.$section_id.'">';
			$a_name_end		= '</a>';
		}else{
			$a_name_start	= NULL;
			$a_name_end		= NULL;
		}
		echo '<div id="section_title_back_'.$section_id.'" class="p_title_back_'.$title_img_no.'" '.$style_title.' '.$title.'>'.$a_name_start.$dsp_plus_minus.$dsp_contents.$a_name_end.'</div>';
		if ($_GET["mode"] == 1) echo '</div></a>';
		// ＋ボタンのbottom調整
		if ($rowsec["dsp_form"] == 2 && $_GET["mode"] <> 1) {
			echo '<script type="text/javascript">
					jQuery(function(){';
						echo 'var section_title_height_w 	= jQuery("#section_title_back_'.$section_id.'").css("height");';
						echo 'var section_title_height 		= Number(section_title_height_w.replace( /px/g , "" ));';
						//echo 'alert("section_title_height="+section_title_height);';
						echo 'var plus_btn_top				= Math.ceil(section_title_height/2) - 16;';
						//echo 'alert("plus_btn_top="+plus_btn_top);';
						echo 'jQuery("#section_contents_open_top'.$section_id.'").css("top",plus_btn_top);';
						echo 'var section_contents_open_top 	= jQuery("#section_contents_open_top'.$section_id.'").css("top");';
						echo 'var section_contents_open_height 	= jQuery("#section_contents_open_top'.$section_id.'").css("height");';
						echo 'jQuery(".section_contents_open_plus'.$section_id.'").show();';
						echo 'jQuery(".section_contents_open_minus'.$section_id.'").hide();';
			echo '})</script>';
		}
	}
	echo '<div class="section_area_'.$rowsec["id"].'"'.$style_section.'>';
	$adjust 		= false;
	$section 		= false;
	$index			= true;
	$style			= false;
	$text_kakunin	= false;
	if ($_GET["mode"] == 1) echo '<a href="cms_index_contents_mng_section.php?mode=1&section_proc=upd&section_id='.$rowsec["id"].'" target="_new" title="セクション修正"><div>';
	include("cms_index_contents_parts_section_contents.php");		// セクションエリアの内容を表示している。
	if ($_GET["mode"] == 1) echo '</div></a>';
	
	echo '</div>';
	if (!($section_title_ari || $img_txt_data_ari || $_SESSION["cta_data_ari"] || $count_down_timer_ari)) {
		if ($_GET["mode"] == 1) {
			echo '<a href="cms_index_contents_mng_section.php?mode=1&section_proc=upd&section_id='.$rowsec["id"].'" target="_new" title="セクション修正"><div style="float:left;">（空白セクション）</div></a>';
		}
	}
	if ($_GET["mode"] == 1) echo '</div>';		// 表示順位変更ボタンの親要素終了
	echo '<br class="clear_both">';
}
$sql = "SELECT * FROM top_page_sns_btn WHERE (bottom_dsp_kbn = 1)";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($rowsns = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$dsp_btn_name 	= "ＳＮＳボタン変更";
	$dataprm		= "&proc=upd&id=".$rowsns["id"];
	$sns_btn_bottom_dsp_ari = true;
}else{
	$dsp_btn_name 	= "ＳＮＳボタン追加";
	$dataprm		= "&proc=add";
	$sns_btn_bottom_dsp_ari = false;
}
if (!$preview && ($mode==1)) {
	echo '<br class="clear_both">';
	echo "<div class=\"edit_section\">";
    echo '<div><a href="cms_index_contents_mng_section.php?mode=1&section_proc=add" target="_blank"><div class="edit_big" style="width:220px;height:40px;">セクション追加</div></a></div>';
    echo '<div><a href="cms_index_contents_mng_sns_btn_sel.php?mode=1&pos=bottom'.$dataprm.'" target="_blank"><div class="edit_big" style="width:240px;height:40px;">'.$dsp_btn_name.'</div></a></div>';
	echo "</div>";
	echo '<br class="clear_both">';
}
if ($sns_btn_bottom_dsp_ari) {
	$sns_btn_kbn		= $rowsns["sns_btn_kbn"];
	$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
	$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
	$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
	$fb_share_btn_umu	= ($sns_btn_kbn/1000)%10;	// 3桁目（シェアボタン表示有無）
	echo '<div class="sns_btn">';
	if ($tweet_btn_umu) {echo '<div class="facebook-button" style="margin-top:4px;"><a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$url_path.'" data-text="'.$url_path.'" data-lang="ja">ツイート</a></div>';}
	if ($facebook_btn_umu) {echo '<div class="facebook-button"><div class="fb-like" data-href="'.$url_path.'" data-send="false" data-layout="button_count" data-width="487" data-show-faces="false"></div></div>';}	// facebookプラグイン（いいね！ボタン）
	if ($fb_share_btn_umu) {echo '<div class="facebook-button"><div class="fb-share-button" data-href="'.$url_path.'" data-send="false" data-layout="button_count" data-width="487" data-show-faces="false"></div></div>';}	// facebookプラグイン（シェアボタン）
	if ($google_btn_umu) {echo '<div class="facebook-button" style="margin-top:4px;"><g:plusone size="medium" href="'.$url_path.'"></g:plusone></div>';}	// google+ボタン
	echo '</div>';
	echo "<br class=\"clear_both\"><br>";
}
echo "</div>";//<!-- メインコンテンツ end -->
if ($mode <> 0) {
	if (isset($_SESSION['errmsg']) || $_GET["err"]) {
		echo '<div class="errmsg">'.$_SESSION['errmsg'].'</div>';
		echo '<br class="clear_both">';
	}
}
echo '<br class="clear_both">';
echo '<div id="c_page_top" style="width:'.$dv_width.'px;"><a href="#page_top" title="ページの先頭へ"><div id="c_page_top_in"></div></a></div>';
echo '</div><!-- end id="mainarea" -->';

echo '<div id="footer_line"></div>';
echo '</div> <!-- end id="container_index" -->';
echo '<div id="footer">';
$root = 1;
include("parts_footer.php"); 
if ($mode==1) {
	$footer_img_in_height = 80;
}else{
	$footer_img_in_height = 50;
}
echo '<div id="footer_img">';
echo '<div id="footer_img_in" style="height:'.$footer_img_in_height.'px;">';
//<!-- フッターの下のイメージを表示 2-->
echo '</div>';
echo '</div>';

echo '</div><!-- end .footer -->';
?>
<div id="footer_img_repeat">
<!-- フッターの下のイメージを表示 -->
</div>
<script type="text/javascript" src="<?php echo $hp_ref;?>js/twitter_code.js" charset="UTF-8"></script>
<script type="text/javascript">window.focus();</script>
</div><!-- end wrap -->
</body>
<?php
$sqlsec = "SELECT * FROM section ORDER BY orderno ASC";
//echo "<br>sql_sec=".$sqlsec;		// debug
$stmtsec = $conn->prepare($sqlsec);
$stmtsec->execute();
while ($rowsec = $stmtsec->fetch(PDO::FETCH_ASSOC)) {
	$section_id	= $rowsec["id"];

	if (($_GET["mode"] <> 1 && $rowsec["dsp_form"] == 2)) {
			echo '<script type="text/javascript">';
			echo '	jQuery(function(){';
			echo '		jQuery(".section_area_'.$section_id.'").hide();';
			echo '		jQuery("#section_title_back_'.$section_id.'").css("cursor","pointer");';
			echo '		var section_open = 0;';
			echo '		jQuery("#section_title_back_'.$section_id.'").click(function(){';
			echo '			if (section_open) {';
			echo '				jQuery(".section_area_'.$section_id.'").slideUp(1000);';
			echo '				jQuery(".section_contents_open_minus'.$section_id.'").hide();';
			echo '				jQuery(".section_contents_open_plus'.$section_id.'").show();';
			echo '				section_open = 0;';
			echo '			}else{';
			echo '				jQuery(".section_area_'.$section_id.'").slideDown(1000);';
			echo '				jQuery(".section_contents_open_plus'.$section_id.'").hide();';
			echo '				jQuery(".section_contents_open_minus'.$section_id.'").show();';
			echo '				section_open = 1;';
			echo '			}';
			echo '		});';
			echo '	});';
			echo '</script>';
	}
}
?>
</html>
