<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$_SESSION["setmsg"]				= NULL;	// 初期化
	$_SESSION["errmsg2"]			= NULL;	// 初期化
	$contents_mng = true;
	$uri_array 	= explode( "?", $_SERVER["REQUEST_URI"] );
	$param		= $uri_array[1];
	$_SESSION["return_uri_contents_mng"] = $uri_array[0];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜セクションの追加</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_index_contents_mng.css" rel="stylesheet" type="text/css">
<?php
include("cms_parts_page_head_common1.php");
?>
<!-- for Lightbox 2 css start -->
<link rel="stylesheet" href="css/lightbox.css" type="text/css" media="screen" >
<!-- for Lightbox 2 css end -->

<!-- html5対応(IE) start-->
<!--[if lt IE 9]>
<script src="js_common/html5shiv.js"></script>
<![endif]-->
<!-- html5対応(IE) end-->
<!-- for Lightbox 2 start -->
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container">
<div id ="mainarea">
	<div class="p_section_edit_title">セクションの追加</div>
	<div class="p_button_right"><input type="submit" value="戻る" onClick="return_reload_focus2();"></div>
	<br class="clear_both">
	<!--
    //**********************************************************//
	//					　セクションの追加						//
	//**********************************************************//
    -->
	<span class="p_edit_guide">セクションのレイアウト画像を選択（クリック）してください。
    <br>※CTAボタン（購入、お問合せ、登録等のボタン）の表示位置は後で調整出来ます。
    <br>　ボタン名称、画像はオリジナルなものも指定できます。</span><br>
    <span class="aka2">※テキストの中にも画像/写真を挿入出来ます。</span><br>
	<br class="clear_both">
	<?php
        if ($_GET["err"]) {
            echo "<div class=\"errmsg\" >";
            echo $_SESSION['errmsg'];
            echo "</div>";
        }
    ?>
    <table cellspacing="0" cellpadding="0" border="0">
    <tr><td class="p_row_space" colspan="3"></td></tr>
    <tr><td class="p_select_s_top">基本レイアウト</td><td class="p_col_space"></td>
    </tr>
    <tr>
    <td class="p_select_s"><a href="cms_index_contents_mng_section.php?mode=1&section_proc=add&section_form=5"><IMG alt="テキストを画像の上に重ねる" align=middle src="img/pic/template/section_05_pc.gif" width="450"></a></td><td> </td>
    </tr>
    </table>
	<?php
        if ($_GET["err"]) {
            echo "<div class=\"errmsg\" >";
            echo $_SESSION['errmsg'];
            echo "</div>";
        }
    ?>
	<br>
    <br><br>
</div>
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
