<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの生成
	session_start();
	include 'function_pdo.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$sql = "SELECT * FROM header_tbl";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$sql_tmp = "update header_tbl set 
							logoimg_url			= :logoimg_url, 
							update_time 		= :update_time
							where id			= :id";
			$logoimg_url		= NULL;
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $row["id"]);
			$stmt->bindParam(":logoimg_url", $logoimg_url);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
			
		unlink("data/uploads/".$row["logoimg_url"]);		// サーバー上の画像を削除
	}

	$loc = "Location: ./cms_logo_img_sel.php";
	header($loc);
?>