<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();

	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param0 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["uri_cta_info_mng_meisai"] = $uri_param0;
	
	$siharai[1]			= "銀行振込";
	$siharai[2]			= "PayPal　";
	$siharai[4]			= "代金引換";
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ＣＴＡ登録情報明細</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_shop_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<!-- for Lightbox 2 css start -->
<link rel="stylesheet" href="css/lightbox.css" type="text/css" media="screen" >
<!-- for Lightbox 2 css end -->

<!-- html5対応(IE) start-->
<!--[if lt IE 9]>
<script src="js_common/html5shiv.js"></script>
<![endif]-->
<!-- html5対応(IE) end-->
<!-- for Lightbox 2 start -->
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="jQuery/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="js/lightbox.min.js"></script>
<!-- for Lightbox 2 end -->

</head>

<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contentstitle">ＣＴＡ登録情報明細</div>
 		<div class="p_login_box">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        </div>
        <br class="clear_both">
<div class="p_contents_subarea">
<?php
$cta_syurui[1] 		= "ご購入";
$cta_syurui[2] 		= "お申込み";
$cta_syurui[101] 	=  "ご購入";
$cta_syurui[102] 	= "お申込み";
$cta_syurui[201] 	=  "メールマガジン登録";
$cta_syurui[202] 	=  "メールマガジン登録";
$cta_syurui[203] 	=  "無料登録";
$cta_syurui[204] 	=  "無料登録";
$cta_syurui[205] 	=  "お問い合わせ";
$cta_syurui[206] 	=  "お問い合わせ";
$cta_syurui[301] 	=  "メールマガジン登録";
$cta_syurui[302] 	=  "メールマガジン登録";
$cta_syurui[303] 	=  "無料登録";
$cta_syurui[304] 	=  "無料登録";
$cta_syurui[305] 	=  "お問い合わせ";
$cta_syurui[306] 	=  "お問い合わせ";

if ($_GET["ipn"] == 1) {
	$table_name = "section_cta_proc_result_data_ipn";	// PayPal決済時に登録されたデータ
	$dbh		= $connipn;
}else{
	$table_name = "section_cta_proc_result_data";		// メルマガ登録、お問合せで登録されたデータ
	$dbh		= $conn;
}
$sqlctaprd = "SELECT * FROM ".$table_name." WHERE id = ".$_GET["id"];
$stmtctaprd = $dbh->prepare($sqlctaprd);
$stmtctaprd->execute();
if ($rowctaprd = $stmtctaprd->fetch(PDO::FETCH_ASSOC)) {
	include('cms_manager_cta_info_mng_meisai_parts.php');
}
?>
<br class="clear_both">
<div class="p_button_modoru"><input type="submit" value="　戻る　" onClick="location='cms_manager_cta_info_mng.php'"></div>
<br class="clear_both">
</div>
</div>
</div>
<!-- end .container --></div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
