<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connshp 	= init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["uri_mail_at_once_send_edit"] = $uri_param[0];
	$id						= $_GET["id"];
	$_SESSION["result_id"]	= $id;
	$result_honbun_id		= $_GET["result_honbun_id"];
	$sql = "SELECT * FROM mail_at_once_sent_result WHERE id = ".$id;
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	if($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$e_mail_input 		= $row["mail_address"];
		$name				= $row["name"];
		$name_kana			= $row["name_kana"];
	}else{
		$e_mail_input 		= NULL;
		$name				= NULL;
		$name_kana			= NULL;
	}
	$sql = "SELECT * FROM mail_at_once_sent_result_honbun WHERE id = ".$result_honbun_id;
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	if($rowhb = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$honbun = $rowhb["honbun"];
		$title	= $rowhb["title"];
	}else{
		$honbun = NULL;
		$title	= NULL;
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜メール再送信</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container_cms">
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_footer_edit_area">
<?php
if ($_GET["resend"] == 1) {
	echo '
	<p>メールの宛先が間違っていないか確認/修正し[再送信実行]をクリックしてください。</p>
	<form action="cms_manager_mail_at_once_send_que.php?resend=1" method="POST">

	<div style="float:left;">
	メール宛先：<input type="text" name="e_mail_input" size="30" value="'.$e_mail_input.'">'.$name.'('.$name_kana.')';
	$_SESSION["e_mail_input"]	= $e_mail_input;
	$_SESSION["name"]			= $name;
	$_SESSION["name_kana"]		= $name_kana;
	$_SESSION["name_kana"]		= $name_kana;
}
?>
</div>
<br class="clear_both"><br>
<div style="float:left;">
【メールタイトル】　<?php echo $title;?>
</div>
<br class="clear_both"><br>
<div style="float:left;">
【メール本文】
</div>
<br class="clear_both"><br>
<?php
$_SESSION["title"]	= $title;
$_SESSION["honbun"]	= $honbun;
$dsp_honbun = link_rel_to_abs($honbun);
echo '<div style="float:left">';
echo $dsp_honbun;
echo '</div>';
echo '<br class="clear_both">';
if ($_GET["err"]) {
	echo '<div class="errmsg">'.$_SESSION["errmsg"].'</div>';
	echo '<br class="clear_both">';	
}
?>
<br>
<?php
if ($_GET["resend"] == 1) {
	echo '<div class="btn"><input type="submit" value="再送信実行"></div>';
}
?>
<div class="btn"><input type="button" value="戻る" title="戻る" onClick="history.back();"></div>
<?php
if ($_GET["resend"] == 1) {
	echo '</form>';
}
?>
</div><!-- end class="p_footer_edit_area" -->
</div><!-- end id="mainarea" -->
</div>
<script type="text/javascript">window.focus();</script>
<script type="text/javascript">resizeTo(1400,1040);</script>
</body>
</html>
