<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$connshp = init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<?php
$sql = "SELECT * FROM mail_at_once_honbun_teikeibun WHERE id = ".$_GET["id"];
$stmt = $connshp->prepare($sql);
$stmt->execute();
if($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$honbun = $row["honbun"];
	$title	= $row["title"];
}else{
	$honbun = NULL;
	$title	= NULL;
}
$honbun = single_quotation_escape($honbun);
echo '<script>';
echo 'jQuery(function(){';
echo 	'window.opener.$("#edit_area0").html(\''.$honbun.'\');';
echo 	'window.opener.$(".edit_area1").attr("contenteditable","true");';
echo 	'window.opener.$("#mail_title").val(\''.$title.'\');';
echo 	'window.opener.focus();';
echo 	'window.open("about:blank","_self").close();';
echo '});';
echo '</script>';
?>
</head>
<body>
</body>
</html>
