<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["search_key_edit"] = $uri_param[0];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜検索対策</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script src="js/cms_proc.js"></script>
</head>
<body>
<div id="container_cms">
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_footer_edit_area">
<div class="p_proc_title_cms">検索対策</div>
<p><span class="edit_memo3">Ｙａｈｏｏ！、Ｇｏｏｇｌｅ等で検索される際の「タイトル」「説明文（キーワード含む）」「キーワード」を登録してください。<br>
Ｙａｈｏｏ！、Ｇｏｏｇｌｅ等の検索結果ページにタイトルと説明文が表示されますので、<br>
タイトルには、市区町村名、業種名、会社/店舗名等を含めた簡潔な30文字以内の文章で登録、<br>
説明文には、市区町村名、業種名、会社/店舗名等を含めた1行40文字3行程度の判りやすい文章で登録することをおすすめします。<br>
キーワードには、検索が想定される言葉（市区町村名、業種名、会社/店舗名等）を半角「,」で区切って登録してください。</span><br>
<span class="edit_memo">※説明文は「Enter」キーで改行しても無視されます。</span></p>
<form action="cms_search_key_edit_kakunin.php" method="POST">
<?php
if ($_GET["modoru"]) {
		$page_title 		= $_SESSION["page_title_input"];
		$page_description 	= $_SESSION["page_description_input"];
		$page_keywords 		= $_SESSION["page_keywords_input"];
}else{
	$sql = "SELECT * FROM index_page_tbl";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$page_title 		= $row["page_title"];
		$page_description 	= $row["page_description"];
		$page_keywords 		= $row["page_keywords"];
	}else{
		$page_title 		= NULL;
		$page_description 	= NULL;
		$page_keywords 		= NULL;
	}
}
echo '<div class="p_edit_title">タイトル</div>　<img src="img/hissu.jpg" width="36" height="20" alt="必須" align="middle">';
echo "<br class=\"clear_both\">";
echo "　<textarea name=\"page_title_input\" cols=\"58\" rows=\"1\">";
echo $page_title; 
echo "</textarea>";
echo "<br class=\"clear_both\"><br>";
echo '<div class="p_edit_title">説明文（キーワード含む）</div>　<img src="img/hissu.jpg" width="36" height="20" alt="必須" align="middle">';
echo "<br class=\"clear_both\">";
echo "　<textarea name=\"page_description_input\" cols=\"50\" rows=\"5\">";
echo $page_description; 
echo "</textarea>";
echo "<br class=\"clear_both\"><br>";
echo "<div class=\"p_edit_title\">キーワード</div>";
echo "<br class=\"clear_both\">";
echo "　<textarea name=\"page_keywords_input\" cols=\"80\" rows=\"1\">";
echo $page_keywords; 
echo "</textarea><br>";
echo '<span class="edit_memo">　※キーワードは半角「,」で区切ってください。</div>';
echo "<br class=\"clear_both\"><br>";
if ($_GET["err"]) {
	echo "<br class=\"clear_both\">";
	echo "<div class=\"errmsg\">".$_SESSION["errmsg"]."</div>";
}
?>
<br>
<div class="btn"><input type="submit" value="確認"></div>
<div class="btn"><input type="button" value="戻る" title="戻る" onClick="return_focus2();"></div>
</form>
</div><!-- end class="p_footer_edit_area" -->
</div><!-- end id="mainarea" -->
</div>
<script type="text/javascript">window.focus();</script>
</body>
</html>
