<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	// indexページのbtn_id（menubuttonテーブルのレコードID)を取得
	$_SESSION["upload_name_slide"] = NULL;	// 初期化
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜動画スライド１の編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_slide1_mng.css" rel="stylesheet" type="text/css">
</head>
<body>
<div id="container_slide">
<form action="cms_slide1_img_sell_chk.php" method="POST" enctype="multipart/form-data">
<table width="880" cellpadding="0" cellspacing="0" class="p_template_table">
<?php
if ($_GET["err"]) {
	echo "<tr><td height=\"35\" colSpan=2 align=\"left\" valign=\"middle\" class=\"p_err_title\" >";
	echo "エラーがあります！";
	echo "</td></tr>";
	echo "<tr><td height=\"35\" colSpan=2 align=\"left\" valign=\"middle\" class=\"p_err_msg\" >";
	echo $_SESSION['slide1_sell_errmsg'];
	echo "</td></tr>";
}
?>
  <tr>
  <td colspan=2 class="p_subtitle"><p>以下を選択（ラジオボタンをクリック）し、決定ボタンをクリックしてください。</p>
        <strong>スライド１背景画像</strong></td>
 </tr>
    <tr>
    <td>
        <table class="p_subcontents">
        <tr>
          <td class="p_item"><img src="img/slide/template/template01.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item"><img src="img/slide/template/template02.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item"><img src="img/slide/template/template03.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item_right"><img src="img/slide/template/template04.png" class="p_img_property_sell" alt="イメージ"></td>
        </tr>
        <tr>
          <td class="p_img"><input type="radio" name="template" value="01"></td>
          <td class="p_img"><input type="radio" name="template" value="02"></td>
          <td class="p_img"><input type="radio" name="template" value="03"></td>          
          <td class="p_img_right"><input type="radio" name="template" value="04"></td>
        </tr>
        <tr><td colspan=4 height="5"> </td></tr>
        <tr>
          <td class="p_item"><img src="img/slide/template/template05.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item"><img src="img/slide/template/template06.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item"><img src="img/slide/template/template07.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item_right"><img src="img/slide/template/template08.png" class="p_img_property_sell" alt="イメージ"></td>
        </tr>
        <tr>
          <td class="p_img"><input type="radio" name="template" value="05"></td>
          <td class="p_img"><input type="radio" name="template" value="06"></td>
          <td class="p_img"><input type="radio" name="template" value="07"></td>          
          <td class="p_img_right"><input type="radio" name="template" value="08"></td>
        </tr>
        <tr><td colspan=4 height="5"> </td></tr>
        <tr>
          <td class="p_item"><img src="img/slide/template/template09.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item"><img src="img/slide/template/template10.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item"><img src="img/slide/template/template96.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item_right"><img src="img/slide/template/template97.png" class="p_img_property_sell" alt="イメージ"></td>
        </tr>
        <tr>
          <td class="p_img"><input type="radio" name="template" value="09"></td>
          <td class="p_img"><input type="radio" name="template" value="10"></td>
          <td class="p_img"><input type="radio" name="template" value="96"></td>          
          <td class="p_img_right"><input type="radio" name="template" value="97"></td>
        </tr>
        <tr><td colspan=1 height="5"> </td></tr>
        <tr>
          <td class="p_item"><img src="img/slide/template/template98.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item_right"><img src="img/slide/template/template99.png" class="p_img_property_sell" alt="イメージ"></td>
          <td class="p_item_blank"> </td>
          <td class="p_item_blank"> </td>
        </tr>
        <tr>
          <td class="p_img_right"><input type="radio" name="template" value="98"></td>
          <td class="p_img_right"><input type="radio" name="template" value="99"></td>
          <td class="p_img_blank"> </td>          
          <td class="p_img_blank"> </td>
        </tr>
        <td colspan=1 height="5"> </td></tr>
 		</table>
  </td>
  </tr>
  <tr><td height="20"> </td></tr>
  <tr>
  <td height="35" align="center" valign="middle"><input type="submit" value="決定"></td>
  </tr>
  <tr><td height="60"> 　<span class="aka1">※写真、イラスト画像は、PIXTAからエクストラライセンスを取得し提供しております。</span></td></tr>
 </table>
 </form>
</div><!-- end class="p_contents" -->
</div><!-- end class="p_contents_table" -->
</div><!-- end id="contents_page2" -->
</div><!-- end .container -->
<script type="text/javascript">window.focus();</script>
</body>
</html>
