<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$dsp_form = $_POST["dsp_form_input"];
	
	$_SESSION["slide_cnt_errmsg"] = NULL;
	if ($dsp_form == 1 && $_GET["slide_cnt"] < 3) {
		$_SESSION["slide_cnt_errmsg"] = "前後のスライドを左右に薄く表示できるのはスライドが３枚以上の場合です！";
		header('Location:./cms_slide1_mng.php?slide_cnt_err=1');
		exit;
	}
	$sql = "SELECT * FROM img_slide1_op1";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($rowop = $stmt->fetch(PDO::FETCH_ASSOC)){
		$sql_tmp = "update img_slide1_op1 set 
					dsp_form	= :dsp_form,
					update_time 		= :update_time
					where id			= :id";
		$stmt = $conn->prepare($sql_tmp);
		$stmt->bindParam(":id", $rowop["id"]);
		$stmt->bindParam(":dsp_form", $dsp_form);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
	}else{
		$pre_after_dsp_way 	= 0;
		$slide_speed		= 2500;
		$slide_anime_op		= "easeOutQuart";
		$id = insert_img_slide1_op1($conn, $dsp_form, $pre_after_dsp_way, $slide_speed, $slide_anime_op);
	}
	header('Location:./cms_slide1_mng.php?dsp_form_save=1');
?>
