<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	if ($_GET["call_level"] == 2){		//  サブ（編集ページから直接ではなく、表確認ページ、ネットショップ商品管理ページ等）からcallされた場合
		$pre_path 				= "../";
		$pre_path_ptn			= "\.\.\/";
	}else{
		$pre_path 				= "";
		$pre_path_ptn			= "";
	}
?>

<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>FineLP｜カラー指定</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script src="../wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="../wColorPicker-2.1.7/wColorPicker.min.css">
<script>
$(function () {
	$("#wColorPicker1").wColorPicker({
		color: '#<?php echo $_GET["color_init_val"];?>',
		onSelect: function(color){
			$("#color_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#color_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#color_input").css('background', color).val(color);
		}
	});
});
</script>

<script>
jQuery(function(){
	var ua=window.navigator.userAgent;
	//alert(ua);	// test
	var msie = false;
	var edge = false;
	var browser = "";
	if(ua.match(/MSIE/) || ua.match(/Trident/)) {
		msie = true;
		browser = "IE";
	}else
	if (ua.indexOf("Edge") > -1) {
		edge = true;
		browser = "Edge";
	}else
	if (ua.indexOf("Firefox") > -1) {
		firefox = true;
		browser = "Firefox";
	}else
	if (ua.indexOf("Android") > -1) {
		android = true;
		browser = "Android";
	}
	//alert(browser);	// test
	<?php
		echo 'var command_name = "'.$_GET["command"].'";';
	?>
	call_level = <?php echo $_GET["call_level"];?>;
	edit_area = "edit_area"+call_level;
	class_edit_area = ".edit_area"+call_level;
	var edit_area = window.opener.document.querySelector(class_edit_area);
	edit_area.focus();

	var sel = window.opener.document.getSelection();
	var sel_str = sel.toString();							// オブジェクトselを文字列としてsel_strにセットする。
	//alert("sel_str="+sel_str);	// test
	var sel = window.opener.document.getSelection();		// 親ページで選択されたテキストの範囲をselにセットする。
	range = sel.getRangeAt(0);								// selの１つ目のRangeオブジェクトをrangeにセットする（rangeは関数内でも使用するためグローバル変数とする）。
	var start = range.startOffset;							// rangeの開始位置をstartにセットする。
	var end = range.endOffset;
	//alert("start="+start+" end="+end);	// test
	if (start == end) {
		alert("文字列が選択されていません！");
		window.open('about:blank','_self').close();
	}
	jQuery("#ok").on('click touchend', function(){
		//alert("ok click");	// test
		window.opener.getSelection().addRange(range);									// パレットクリック時にフォーカスが外れるので選択したrangeをセレクトする。
		var color_input = $("#color_input").val();	
		if ((command_name == "backColor") && (browser == "IE" || browser == "Edge" || browser == "Firefox" || browser == "Android")) {
			var html = '<span style="background-color:#'+color_input+';">'+sel_str+'</span>';
			window.opener.document.execCommand("insertImage", false, "<?php echo $pre_path;?>images/dummy.gif");
			contents = window.opener.$(class_edit_area).html();
			contents = contents.replace( /<img src="<?php echo $pre_path_ptn;?>images\/dummy.gif">/g , html);
			contents = contents.replace( /<img src="<?php echo $pre_path_ptn;?>dummy.gif" style="text-align: left;">/g , html);
			contents = contents.replace( /<img src="<?php echo $pre_path_ptn;?>dummy.gif" style="background-color: transparent;">/g , html);
			//window.opener.document.getElementById("edit_area").innerHTML = contents;
			window.opener.document.getElementsByClassName("edit_area<?php echo $_GET["call_level"];?>")[0].innerHTML = contents;
			
		}else{
			window.opener.document.execCommand(command_name,false,color_input);
		}
		window.open('about:blank','_self').close();
	});	
});
</script>
</head>
<body style="width:300px;height:200px;text-align:left">
<?php
	if ($_GET["command"] == "foreColor") {
		$title = "文字色指定";
	}else{
		$title = "背景色指定";
	}
?>
<div class="page_title"><?php echo $title;?></div>
<br class="clear_both">
<span class="guide">ボックスをクリック、パレットから目的の色を選択して[OK]をクリックしてください。</span>
<br class="clear_both">
<div id="wColorPicker1" class="hoverBox"></div>
<input id="color_input" type="text" value="#<?php echo $_GET["color_init_val"];?>">
<input type="button" id="ok" value="OK">
</body>
<script>window.focus();</script>
</html>
