<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションを復元する。
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	include '../src/function_cms2.php';
	$browser_array 	= browser($_SERVER['HTTP_USER_AGENT']);
	$browser_name	= $browser_array[0];
	$browser_ver	= $browser_array[1];
	
	if ($_GET["proc"] == "upd") {
		//$youtube_code 		= $_POST["youtube_code"];
		$youtube_code 		= htmlspecialchars($_POST["youtube_code"], ENT_QUOTES);		// phpで表示するさせるため
		$width_full 		= $_POST["width_full"];
	}else{
		$youtube_code 		= NULL;
		$width_full 		= 0;
	}
	if ($_GET["call_level"] == 2){		//  サブ（編集ページから直接ではなく、表確認ページ、ネットショップ商品管理ページ等）からcallされた場合
		$pre_path 				= "../";
		$pre_path_ptn 			= "\.\.\/";
	}else{
		$pre_path 				= "";
		$pre_path_ptn			= "";
	}
	//echo '$pre_path='.$pre_path;	// test
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>FineLP｜YouTube動画の追加</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
function youtube_helppopup() {
window.open("youtube_helppopup.html","ヘルプ","width=960,height=800,scrollbars=1");
}
</script>
<script>
jQuery(function(){
	var ua=window.navigator.userAgent;
	var msie = false;
	var edge = false;
	var browser = "";
	if(ua.match(/MSIE/) || ua.match(/Trident/)) {
		msie = true;
		browser = "IE";
	}else
	if (ua.indexOf("Edge") > -1) {
		edge = true;
		browser = "Edge";
	}else
	if (ua.indexOf("Firefox") > -1) {
		Firefox = true;
		browser = "Firefox";
	}
	<?php
	if ($_GET["proc"] == "upd") {
		//echo '$("#youtube_code_input").html(\''.$_POST["youtube_code"],'\');';	// Edgeで「<iframe」が「<if#ame」と文字化けするため、phpで対応する。
		if ($width_full) {
			echo '$("#width_full").prop("checked",true);';
		}else{
			echo '$("#width_full").prop("checked",false);';
		}
		echo 'var proc = "upd";';
	}else{
		echo 'var proc = "add";';
	}
	?>
	jQuery("#insert").click(function(){
		call_level 		= <?php echo $_GET["call_level"];?>;
		edit_area 		= "edit_area"+call_level;
		class_edit_area = ".edit_area"+call_level;
		
		var youtube_code 		= $("#youtube_code_input").val();
		var youtube_code_org 	= youtube_code;
		if (youtube_code == "") {
			alert("YouTube埋め込みコードが入力されていません！");
			return;
		}else{
			var data 	= youtube_code.split('"');
			if (proc == "upd" && browser == "Firefox" && (data[0] == '<iframe src=')) {
				// Firefoxでyoutubeコードを挿入した際にiframe内のコードの順番が変わる場合があるための対処
				//alert("data[7]="+data[7]);	// test
				//alert("data[9]="+data[9]);	// test
				var width 	= data[7];
				var height 	= data[9];
			}else{
				var width 	= data[1];
				var height 	= data[3];
			}
			var len		= data.length;
			if (!((youtube_code.substr(0,7) == '<iframe') && (youtube_code.indexOf("https://www.youtube") > -1))){
				alert("YouTube埋め込みコード以外は入力できません！");
				return;
			}
			var area_width = <?php echo $_SESSION["area_width"];?>;
			if($('#width_full').prop('checked')){
				height 			= Math.round(height * (area_width/width));
				width 			= area_width;
				var width_full	= 1;
			}else{
				var width_full	= 0;
			}
			if (proc == "upd" && browser == "Firefox" && (data[0] == '<iframe src=')) {
				// Firefoxでyoutubeコードを挿入した際にiframe内のコードの順番が変わるための対処
				data[7] = width;
				data[9] = height;
			}else{
				data[1] = width;
				data[3] = height;
			}
			youtube_code = "";
			//youtube_code = youtube_code+'<br>';
			youtube_code = youtube_code+'<div class="editable_youtube" style="display: inline-block;" contenteditable="false">';
			<?php
			if ($_GET["proc"] == "upd") {
				echo 'youtube_code = "";';
			}
			?>
			youtube_code = youtube_code+'<div class="editable_youtube_in" style="width:'+width+'px;height:'+height+'px;display:inline-block;">';
			youtube_code = youtube_code+'<div class="clear_cover_on"></div><!-- YouTube動画の透明カバー（編集エリア、確認ページでYouTube動画のクリックを不可にする為） -->';
			for(i=0; i<len; i++){
				if (i<(len-1)) {
					youtube_code = youtube_code+data[i]+'"';
				}else{
					youtube_code = youtube_code+data[i];
				}
				
			}
			//alert(youtube_code_org);	// test
			youtube_code = youtube_code+'<div class="youtube_code" style="display:none;">'+youtube_code_org+'</div>';
			youtube_code = youtube_code+'<div class="width_full" style="display:none;">'+width_full+'</div>';
			youtube_code = youtube_code+'</div></div>';
			//alert("youtube_code="+youtube_code);	// test
			var edit_area = window.opener.document.querySelector(class_edit_area);
			edit_area.focus();
			<?php
			if ($_GET["proc"] == "add") {
				echo '
				window.opener.document.execCommand("insertImage", false, "'.$pre_path.'images/dummy.gif");
				var contents = window.opener.$(class_edit_area).html();
				if ( !(contents.match(/<img src="'.$pre_path_ptn.'images\/dummy.gif"/)) ) {
					alert("マウスのフォーカスが編集エリアから外れています！\n編集エリアの挿入位置をクリックしてから[挿入]をクリックしてください。");
					return;
				}else{
					contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif">/g , youtube_code);
					contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif" style="text-align: left;">/g , youtube_code);
					contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif" style="background-color: transparent;">/g , youtube_code);
					//window.opener.document.getElementById("edit_area").innerHTML = contents;
					window.opener.document.getElementsByClassName("edit_area'.$_GET["call_level"].'")[0].innerHTML = contents;
				}';
			}else{
				echo 'window.opener.$(".editable_youtube:eq('.$_GET["index"].')").html(youtube_code);';
			}
			?>
			window.open("about:blank","_self").close();	
		}
	});
});
</script>
<script>
jQuery(function(){
	$("#youtube_del").click(function() {
		if (confirm("YouTube動画を削除しても良いですか？")) {
			window.opener.$(".editable_youtube:eq(<?php echo $_GET["index"];?>)").remove();
			window.open("about:blank","_self").close();
		}else{
			return;	
		}
	});
});
</script>
</head>
<body style="text-align:left;">
<div class="page_title">YouTube埋め込みコード </div>
<br class="clear_both">
<span class="guide">下の欄にYouTube埋め込みコードを入力し[挿入]をクリックしてください。（<a href="javascript:youtube_helppopup();">ヘルプ</a>）</span><br>
<?php
if ($browser_name == "MSIE" || $browser_name == "Edge" || $browser_name == "Opera") {
	echo '<span class="aka2">※挿入後に修正する場合は編集エリアでダブルクリックしてください。</span>';
}else{
	echo '<span class="aka2">※挿入後に修正する場合は編集エリアでダブルクリック（又は右クリック）してください。</span>';
}
?>
<br>
<textarea name="youtube_code_input" id="youtube_code_input" cols="80" rows="3">
<?php echo $youtube_code;?>
</textarea>
<br>
<input type="checkbox" name="width_full" id="width_full" value="1" checked>表示幅に合わせる<br>
<br class="clear_both">
<div class="btn"><input type="button" value="挿入" id="insert"></div>
<?php
if ($_GET["proc"] == "upd") echo '<div class="btn"><input type="button" id="youtube_del" value="YouTube動画削除"></div>';
?>
<div class="btn"><input type="button" value="閉じる" onClick="window.open('about:blank','_self').close();"></div>
</body>
<script>window.focus();</script>
</html>
