<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/

	// セッションの生成
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_name("home");
	session_start();
	// 不正アクセスチェック
	require_once 'cms_access_check.php';
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';				// ＤＢファイルのロックを防止するため、PayPal IPNで更新するテーブルは別ファイルとする。
	include 'function_cms.php';
	include 'src/function_cms2.php';
	include 'function_pdo_shop.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$conn2 		= init_sqlite2();
	$connshp 	= init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script src="js/hidden_to_paypal.js"></script>
</head>
<body onLoad="document.frm1.submit();">
<?php
echo '<form name=frm1 target="paypal" action="'.$_SESSION["action_url"].'" method="post">';					
if ($_SESSION["siharai_hoho"] == 1) {			// 一回払いの場合
	//***************************************************************
	// 一回払いの場合
	//***************************************************************
	echo '<input type="hidden" name="charset" value="UTF-8">';
	echo '<input type="hidden" name="cmd" value="_xclick">';										// 今すぐ購入
	echo '<input type="hidden" name="business" value="'.$_SESSION["seller_id"].'">';							//<!--paypal ID -->';
	echo '<input type="hidden" name="currency_code" value="JPY">';
	echo '<input type="hidden" name="item_name" value="'.$_SESSION["item_name"].'">';		//<!-- 商品名 -->
	echo '<input type="hidden" name="item_number" value="'.$_SESSION["item_number"].'">';				//<!-- 商品コード -->
	echo '<input type="hidden" name="amount" value="'.$_SESSION["amount"].'">';						//<!--単価 -->
	echo '<input type="hidden" name="quantity" value="'.$_SESSION["quantity"].'">';		//<!-- 数量 -->
	
}else{											// 毎月払い　or 毎年払い
	echo '<input type="hidden" name="cmd" value="_xclick-subscriptions">';
	echo '<input type="hidden" name="charset" value="UTF-8">';
	echo '<input type="hidden" name="business" value="'.$_SESSION["seller_id"].'">';
	echo '<input type="hidden" name="item_name" value="'.$_SESSION["item_name"].'">';
	echo '<input type="hidden" name="item_number" value="'.$_SESSION["item_number"].'">';					//<!-- 商品コード -->
	echo '<input type="hidden" name="currency_code" value="JPY">';										//<!--通貨 -->
	if ($rowctapd["muryo_kikan"] > 0) {
		echo '<input type="hidden" name="a1" value="0">';												//<!--試用期間の料金（無料） -->
		echo '<input type="hidden" name="p1" value="'.$_SESSION["p1"].'">';					//<!--試用期間 -->
		echo '<input type="hidden" name="t1" value="'.$_SESSION["t1"].'">';				//<!--試用期間の単位 -->
	}
	echo '<input type="hidden" name="a3" value="'.$_SESSION["a3"].'">';								//<!--料金 -->
	//echo '<input type="hidden" name="quantity" value="'.$_SESSION["buy_quantity_input"].'">';			//<!-- 数量 -->「一回払い」以外の場合は購入数量は指定できない。
	echo '<input type="hidden" name="p3" value="1">';													//<!--期間 -->
	echo '<input type="hidden" name="t3" value="'.$_SESSION["t3"].'">';						//<!-- 支払期間の単位(M or Y が入る） -->
	echo '<input type="hidden" name="src" value="1">';													//<!-- 定期支払いを行う -->
	echo '<input type="hidden" name="sra" value="1">';													//<!-- 定期支払いが失敗した場合、回収の再試行を行う -->
	echo '<input type="hidden" name="no_note" value="1">';
}
	
echo '<input type="hidden" name="address_override" value="1">';			// ユーザーが入力した住所を使用（paypal側の住所に追加される。）
echo '<input type="hidden" name="country" value="JP">';
if ($_POST["sname_input"] == NULL) {		//**************お届け先住所をセット
	echo '<input type="hidden" name="first_name" value="'.$_SESSION["name_input"].'">';
	echo '<input type="hidden" name="zip" value="'.$_SESSION["zipa"].'-'.$_SESSION["zipb"].'">';
	echo '<input type="hidden" name="state" value="'.$_SESSION["todohuken_input"].'">';
	echo '<input type="hidden" name="city" value="'.$_SESSION["city_input"].'">';
	echo '<input type="hidden" name="address1" value="'.$_SESSION["areabanchi_input"].'">';
	echo '<input type="hidden" name="address2" value="'.$_SESSION["tatemono_input"].'">';
	

}else{										//**************請求先住所をセット
	echo '<input type="hidden" name="first_name" value="'.$_SESSION["sname_input"].'">';
	echo '<input type="hidden" name="zip" value="'.$_SESSION["szipa"].'-'.$_SESSION["szipb"].'">';
	echo '<input type="hidden" name="state" value="'.$_SESSION["stodohuken_input"].'">';
	echo '<input type="hidden" name="city" value="'.$_SESSION["scity_input"].'">';
	echo '<input type="hidden" name="address1" value="'.$_SESSION["sareabanchi_input"].'">';
	echo '<input type="hidden" name="address2" value="'.$_SESSION["statemono_input"].'">';
}
echo '<input type="hidden" name="no_shipping" value="1">';							//<!-- １：住所の入力を要求しない　２：住所の入力必須 -->

$sid 		= session_id();					// 現在のセッションのセッション IDをセット（paypal経由で「paypal_ipn_info.php」へセッション情報を引き継ぐため）
// セッションIDを暗号化
//暗号化するデータ
$plain_text = $sid;
//暗号化＆復号化キー
$key = md5('AEHFOPKHG');
//暗号化モジュール使用開始
$td  = mcrypt_module_open('des', '', 'ecb', '');
$key = substr($key, 0, mcrypt_enc_get_key_size($td));
$iv  = mcrypt_create_iv(mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
//暗号化モジュール初期化
if (mcrypt_generic_init($td, $key, $iv) < 0) {		// エラー
	$enside=1;
}else{
	$enside=0;
}
//データを暗号化
$ensid = base64_encode(mcrypt_generic($td, $plain_text));
//暗号化モジュール使用終了
mcrypt_generic_deinit($td);
mcrypt_module_close($td);
echo '<input type="hidden" name="custom" value="'.$ensid.'">';
$enensid = urlencode($ensid);
$ipn_url	= httpx().'://'.domain_user().'/hp_ref/paypal_ipn_info.php?enside='.$enside.'&amp;paypal_mode='.$_SESSION["paypal_mode"].'&amp;cta_btn_no='.$_SESSION["cta_btn_no"].'&amp;section_id='.$_SESSION["section_id"].'&amp;cta_proc_data_id='.$_SESSION["cta_proc_data_id"].'&amp;cta_proc_no='.$_SESSION["cta_proc_no"];
//echo '<br>$ipn_url='.$ipn_url;	// test
$return_url	= httpx().'://'.domain_user().'/hp_ref/cms_index_contents_mng_section_cta_post_complete.php?mode='.$_SESSION["mode"].'&amp;cta_btn_no='.$_SESSION["cta_btn_no"].'&amp;section_id='.$_SESSION["section_id"].'&amp;cta_proc_data_id='.$_SESSION["cta_proc_data_id"].'&amp;cta_proc_no='.$_SESSION["cta_proc_no"];
if (substr($_SERVER["HTTP_HOST"],0,5) <> "local") {		// local環境ではない場合（本番環境）
	echo '<input type="hidden" name="notify_url" value="'.$ipn_url.'">';		//<!--paypalがIPNでpostするURL -->
	echo '<input type="hidden" name="return" value="'.$return_url.'">';		//<!-- 完了ページ -->
	echo '<input type="hidden" name="rm" value="2">';
}
echo '<br class="clear_both">';
echo "</form>";
?>
</body>
</html>
